<?php
namespace App\Dto;
use Illuminate\Support\Facades\Crypt;

class CredentialDTO
{
    public string $param = '';
    public string $enable = '';
    public $title = '';
    public string $image = '';
    public string $mode = '';
    public $description = '';
    public $instruction = '';
    public string $keyp = '';// public key
    public string $keys = '';// secret key, this will be encoded in database 
    public string $keyt = '';

    public function __construct($data)
    {
        $this->param  = $data->param ?? '';
        $this->enable = $data->enable ?? '';
        $this->title  = $data->title ?? '';
        $this->image  = $data->image ?? '';
        $this->mode   = $data->mode ?? '';
        $this->description = $data->description ?? '';
        $this->instruction = $data->instruction ?? '';
        $this->keyp = $data->keyp ?? '';
        $this->keys = $data->keys ?? '';
        $this->keyt = $data->keyt ?? '';
    }
    
    public function toArray()
    {
        $arr = [
            'param'  => $this->param,
            'enable' => $this->enable,
            'title'  => $this->title,
            'image'  => $this->image,
            'mode'   => $this->mode,
            'description' => $this->description,
            'instruction' => $this->instruction,
            'keyp'   => $this->keyp ,
            'keyt'   => $this->keyt,
        ];
        
        if($this->keys != "****" && !empty($this->keys)) 
          $arr['keys'] = Crypt::encryptString($this->keys, config('app.key'));
         
      return $arr;
    }
    
   public function getKeyS(){
     return !empty($this->keys) ? Crypt::decryptString($this->keys, config('app.key')) : '';
   } 
}