<?php

namespace App\DTO;
use Illuminate\Http\Request;

class FieldsDTO
{
    public $id;
    public $related_id;
    public $position;
    public $one_per_line;
    public $enable;
    public $type;
    public $title;
    public $required;
    public $show_title;
    public $length;
    public $type_box;

     
    public function __construct()
      {
            $this->enable = $this->enable ?? 'not';
            $this->position = $this->position ?? 0;
            $this->one_per_line = $this->one_per_line ?? 'not';
            $this->required = $this->required ?? 'not';
            $this->show_title = $this->show_title ?? 'not';
            $this->length = $this->length ?? '6';
            $this->type_box = $this->type_box ?? 'text';
     } 
     
   public function setFromRequest(Request $request, $id =null)
      {
        // Extract only the specified fields from the request
        $fields  = $request->input('fields');
        $data    = $fields ?? $request->only([
                        'id', 'related_id','position','one_per_line','enable', 'type', 'title',
                        'required', 'show_title', 'length', 'type_box'
                   ]);
        
       // Populate DTO properties using loop
        foreach ($data as $key => $value) {
            // Check if property exists in DTO class and if ID is null
            if (property_exists($this, $key) && $id === null) {
                // Set property value directly
                $this->{$key} = $value;
            } elseif ($id !== null && is_array($value) && array_key_exists($id, $value)) {
                $this->{$key} = $value[$id];
            }
        }
         /*
        $this->related_id   = $request->input('related_id')[$id] ?? 0;
        $this->one_per_line = $request->input('one_per_line')[$id] ?? "no";
        $this->enable       = $request->input('enable')[$id] ?? "no";
        $this->type         = $request->input('type')[$id] ?? null;
        $this->title        = $request->input('title')[$id] ?? null;
        $this->required     = $request->input('required')[$id] ?? "no";
        $this->show_title   = $request->input('show_title')[$id] ?? "no";
        $this->length       = $request->input('length')[$id] ?? "6";
        $this->type_box     = $request->input('type_box')[$id] ?? "text";*/
     }
     
    public function toArray() 
    {
        return [
            'related_id'   => $this->related_id,
            'enable'       => $this->enable,
            'position'     => $this->position,
            'one_per_line' => $this->one_per_line,
            'type'         => $this->type,
            'title'        => is_array($this->title) ? toJson($this->title) : $this->title,
            'required'     => $this->required,
            'show_title'   => $this->show_title,
            'length'       => $this->length,
            'type_box'     => $this->type_box,
        ];
    }
}