<?php namespace App\Dto;

class OrderPaymentDTO {
    public $orderId;
    public $shippingCost;
    public $productsCost;
    public $total;
    public $request;
    public $currency;
    public $payd;
    public $status;
    public $message;
    public $paymentType;
    public $paymentStatus;
    public $txn;
    public $paymentId;
    public $orderUnicId;

    public function setPayment($payd, $status, $paymentStatus, $message ='', $paymentId='', $txn='', $currency=null) {
        $this->payd           = $payd;
        $this->status         = $status;
        $this->paymentStatus  = $paymentStatus;
        $this->message        = $message;
        $this->paymentId      = $paymentId;
        $this->txn            = $txn;
        $this->currency       = $currency==null? $this->currency : $currency;
    }
    
    public function setCheckout($orderId, $shippingCost, $productsCost, $total, $currency, $request, $orderUnicId='') {
        $this->orderId      = $orderId;
        $this->shippingCost = $shippingCost;
        $this->productsCost = $productsCost;
        $this->total        = $total;
        $this->currency     = $currency;
        $this->request      = $request;
        $this->orderUnicId  = $orderUnicId;
    }
    
      public function getTotal() {
       return $this->total ?? 0;
      }
      
      public function getProductsCost() {
       return $this->productsCost ?? 0;
      }
    
      public function getStatus() {
       return $this->status ?? 'Incomplete';
    }
    
   public function toCheckoutArray()
    {
        return [
                'orderId'        => $this->orderId ?? '',
                'shippingCost'   => $this->shippingCost ?? '',
                'productsCost'   => $this->productsCost ?? '',
                'total'          => $this->total ?? '', 
                'request'        => $this->request ?? '',
                'currency'       => $this->currency ?? '',
             ];
    }
   public function toOrderUpdate()
    {
      return['secretnr'       => $this->orderUnicId,
             'created_at'     => date("Y-m-d H:i:s"),
             'status'         => $this->getStatus(),
             'payment_status' => $this->paymentStatus,
             'payd'           => $this->payd,
             'message'        => toJson(['message'=>$this->message, 'request'=>$this->toArray()]),
            ];
    }
    public function toArray()
    {
        return [
                'orderId'        => $this->orderId ?? '',
                'shippingCost'   => $this->shippingCost ?? '',
                'productsCost'   => $this->productsCost ?? '',
                'total'          => $this->total ?? '',
                'request'        => $this->request ?? '',
                'currency'       => $this->currency ?? '',
                'payd'           => $this->payd ?? '',
                'status'         => $this->status ?? '',
                'message'        => $this->message ?? '',
                'paymentType'    => $this->paymentType ?? '',
                'paymentStatus'  => $this->paymentStatus ?? '',
                'txn'            => $this->txn ?? '',
                'paymentId'      => $this->paymentId ?? ''
            ];
    }
    
     public static function fromJson($json) {
        $data = json_decode($json, true);
        $order = new OrderPaymentDTO();
        foreach ($data as $key => $value) {
            if (property_exists($order, $key)) {
                $order->$key = $value;
            }
        }
        return $order;
    }
}