<?php namespace App\Dto;

class UserDTO {
    private $name;
    private $unicid;
    private $email;
    private $user_role;
    private $password;
    private $remember_token;
    private $status;
    private $verification_token='';
    private $email_verified_at;
    private $email_verification;
    private $created_at;
    private $updated_at;
    private $verify;
    private $isCheckout;

    /*
    public function __construct($name, $unicid, $email, $user_role, $password, $remember_token, $status, $verification_token, $email_verified_at, $created_at, $updated_at) {
        $this->name = $name;
        $this->unicid = $unicid;
        $this->email = $email;
        $this->user_role = $user_role;
        $this->password = $password;
        $this->remember_token = $remember_token;
        $this->status = $status;
        $this->verification_token = $verification_token;
        $this->email_verified_at = $email_verified_at;
        $this->created_at = $created_at;
        $this->updated_at = $updated_at;
    }*/

   public function __construct($name='', $email='', $password='', $verify = false) {
        $this->name = $name;
        $this->email = $email;
        $this->password = $password;
        $this->email_verified_at =  date("Y-m-d h:i:s");
        $this->verify = $verify;
        $emailVer = mainOption("_email_verification_");
        $this->verification_token = $verify && $emailVer == "yes" ? \Wh::get_random(60) :'';
        $this->email_verification = $verify && $emailVer == "yes";
        $this->created_at = date("Y-m-d h:i:s");

    }


    // Getter methods
    public function getArray() {
     return [
             'password'           => bcrypt(!empty($this->password) ? $this->password : \Wh::get_random(10)),
             'email'              => $this->email,
             'name'               => $this->name,
             'created_at'         => date("Y-m-d h:i:s"),
             'user_role'          => 0,
             'unicid'             => \Wh::get_random(20)."-".\Wh::get_random(22)."-".\Wh::get_random(23),
             'status'             => 0,
             'email_verified_at'  => $this->email_verified_at,
             'verification_token' => $this->verification_token,
            ];
    }

    // Getter methods
    public function getArrayEmailAndPassword() {
        return [
                'password'           => bcrypt(!empty($this->password) ? $this->password : \Wh::get_random(10)),
                'email'              => $this->email,
                ];
    }

     public function setFromArray($data=[])
      {
       // Populate DTO properties using loop
        foreach ($data as $key => $value) {
            // Check if property exists in DTO class and if ID is null
            if (property_exists($this, $key) ) {
                // Set property value directly
                $this->{$key} = $value;
            }
        }
     }

    public function checkEmailAndPassword() {
      return empty($this->password) || empty($this->email);
    }

    public function checkEmailAndPasswordNotEmpty() {
      return !empty($this->password) && !empty($this->email);
    }
    // Getter methods
    public function getName() {
        return $this->name;
    }

    public function getUnicid() {
        return $this->unicid;
    }

    public function getEmail() {
        return $this->email;
    }

    public function getUserRole() {
        return $this->user_role;
    }

    public function getPassword() {
        return $this->password;
    }


    public function getRememberToken() {
        return $this->remember_token;
    }

    public function getStatus() {
        return $this->status;
    }

    public function getVerificationToken() {
        return $this->verification_token;
    }

    public function checkVerificationToken() {
        return empty($this->verification_token);
    }

    public function getEmailVerification() {
        return $this->email_verification;
    }

    public function getEmailVerifiedAt() {
        return $this->email_verified_at;
    }

    public function getCreatedAt() {
        return $this->created_at;
    }

    public function getUpdatedAt() {
        return $this->updated_at;
    }

    public function getIsCheckout($isCheckout) {
       return $this->isCheckout;
    }

    // Setter methods
    public function setName($name) {
        $this->name = $name;
    }

    public function setUnicid($unicid) {
        $this->unicid = $unicid;
    }

    public function setEmail($email) {
        $this->email = $email;
    }

    public function setUserRole($user_role) {
        $this->user_role = $user_role;
    }

    public function setPassword($password) {
        $this->password = $password;
    }

    public function setRememberToken($remember_token) {
        $this->remember_token = $remember_token;
    }

    public function setStatus($status) {
        $this->status = $status;
    }

    public function setVerificationToken($verification_token) {
        $this->verification_token = $verification_token;
    }

    public function setEmailVerifiedAt($email_verified_at) {
        $this->email_verified_at = $email_verified_at;
    }

    public function setCreatedAt($created_at) {
        $this->created_at = $created_at;
    }

    public function setUpdatedAt($updated_at) {
        $this->updated_at = $updated_at;
    }

    public function setIsCheckout($isCheckout) {
        $this->isCheckout = $isCheckout;
    }
}
