<?php

namespace App\Exceptions;

use Illuminate\Foundation\Exceptions\Handler as ExceptionHandler;
use Throwable;
use Illuminate\Auth\AuthenticationException;

class Handler extends ExceptionHandler
{
    /**
     * A list of the exception types that are not reported.
     *
     * @var array
     */
    protected $dontReport = [
        //
    ];

    /**
     * A list of the inputs that are never flashed for validation exceptions.
     *
     * @var array
     */
    protected $dontFlash = [
        'password',
        'password_confirmation',
    ];

    /**
     * Report or log an exception.
     *
     * @param  \Throwable  $exception
     * @return void
     *
     * @throws \Exception
     */
    public function report(Throwable $exception)
    {
        parent::report($exception);
    }

    /**
     * Render an exception into an HTTP response.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Throwable  $exception
     * @return \Symfony\Component\HttpFoundation\Response
     *
     * @throws \Throwable
     */
    public function render($request, Throwable $exception)
    {
         
        // When we've got non-matched route resulting in "404 Not Found" response.
        if ($exception instanceof \Symfony\Component\HttpKernel\Exception\NotFoundHttpException) {
            //$config = app('config');
            //$default_locale = $config['app.locale'];
            $isAdmin = ISADMINURL;
            
            if($isAdmin==="none"){
             $langIs = \Wh::returnLang();
             $locale = $request->segment(1);
              
             $langList = require app_path("Helpers/lang.php");
             //echo $locale."---".$langIs;
             if(isset($langList[$locale]) && trim("/".$locale) != $langIs){ 
            // See if locale in url is absent or isn't among known languages.
                   // Redirect to same url with default locale prepended.
                      $new_url = substr($request->getPathInfo(), 3);
                      $uri = $request->getUriForPath( $langIs.$new_url);
                       return redirect($uri, 301);
                      //echo "dddd";
                
            } else if($langIs != "" && "/".$locale != $langIs){
                    $uri = $request->getUriForPath( $langIs.$request->getPathInfo());
                     return redirect($uri, 301);
                    //echo "eeeee";
            }
          }
        }
        
        $view = ISADMINURL === "isadmin" ? 'admin.layouts.default' 
                                         : (view()->exists('theme::default') ? 'theme::default' : 'standart.default');
        
        
        if ($this->isHttpException($exception)) {
            if ($exception->getStatusCode() == 404) {
              return response()->view('standart.404'  , ['exception' =>  $exception->getMessage()], 404);
            }
        }
         
        if (!config('app.debug') && !$exception instanceof AuthenticationException) {
            return response()->view("standart.500",[ 'exception' =>  $exception->getMessage(), 'view'=>$view ]);
        } else {
            return parent::render($request, $exception); 
        }
    }
    
  
}
