<?php

 /**
 * Print a nice array
 */
 if (! function_exists('contains')) {

  function contains($string="", $search="-"){
     return strpos($string, $search) !== false;
 }

}


/**
 * Remove any characters that are not letters, numbers, or underscores
 */
if (! function_exists('cleanString')) {
    function cleanString($str) {
      return $str==null ? '' : preg_replace('/[^a-zA-Z0-9_-]/', '', $str);
    }
}

/**
 * Remove any characters that are not letters, numbers, or underscores
 */
if (! function_exists('getCookieAndClean')) {
    function getCookieAndClean($name) {
        $cookie = (string) ($_COOKIE[$name]??'');
        return cleanString($cookie);
    }
}

/**
 * Remove any characters that are not letters, numbers, or underscores
 */
if (! function_exists('mainOption')) {
    function mainOption($key="", $default="") {
      $constant= _MAIN_OPTIONS_??[];
      return !empty($constant[$key]??'') ? $constant[$key] : $default;
    }
}

/**
 * Remove any characters that are not letters, numbers, or underscores
 */
if (! function_exists('_e')) {
    function _e($str='', $clear = true) {
        return  $str!=null && $clear ? e($str) : $str;
    }
}

/**
 * get Default value if first is empty or null
 */
if (! function_exists('getDefault')) {
    function getDefault($str='', $default='') {
        return $str==null || empty($str) ? $default : $str;
    }
}
 /**
 * Print a nice array
 */
 if (! function_exists('printw')) {

  function printw($array=[]){
     echo '<pre style="color:#000 !important;overflow: visible !important; font-size:12px;">'; print_r($array);  echo '</pre>';
 }

}

if (! function_exists('e')) {
    /**
     * Encode HTML special characters in a string.
     *
     * @param  \Illuminate\Contracts\Support\Htmlable|string  $value
     * @param  bool  $doubleEncode
     * @return string
     */
    function e($value, $doubleEncode = true)
    {
        if ($value instanceof Htmlable) {
            return $value->toHtml();
        }

        return htmlspecialchars(\Wh::splitlang($value), ENT_QUOTES, 'UTF-8', $doubleEncode);
    }
}

if (! function_exists('productUrl')) {
    /**
     * Encode HTML special characters in a string.
     *
     * @param  \Illuminate\Contracts\Support\Htmlable|string  $value
     * @param  bool  $doubleEncode
     * @return string
     */
    function productUrl($productCpu="", $productCatId=0)
    {
        return \Wh::productUrl($productCpu, $productCatId);
    }
}

if (! function_exists('shortCode')) {
    /**
     *  get all the shortcodes from text and execute them.
     * shortCode([variations])
     *
     * @param  string  $content
     * @return string
     */
    function shortCode($content="")
    {
        return \Wh::shortCode($content);
    }
}

if (! function_exists('quickEdit')) {
    /**
     *  get all the shortcodes from text and execute them.
     * shortCode([variations])
     *
     * @param  string  $url
     * @param  string  $classFix
     * @return string
     */
    function quickEdit($url = '',$classFix = 'editPageLink')
    {
       return \Wh::quickEdit($url, $classFix) ;
    }
}


if (! function_exists('excerpt')) {
    /**
     * get first $limit words from content.
     *
     * @param   string  $content
     * @return string
     */
    function excerpt($content="", $limit = 100)
    {
        return \Wh::excerpt($content, $limit);
    }
}

if (! function_exists('_lang')) {
    /**
     * Encode HTML special characters in a string.
     *
     * @param  \Illuminate\Contracts\Support\Htmlable|string  $value
     * @param  bool  $doubleEncode
     * @return string
     */
    function _lang($value, $lang="")
    {
        return \Wh::splitlang($value, $lang);
    }
}

if (! function_exists('_langFirst')) {
    /**
     * Encode HTML special characters in a string.
     *
     * @param  \Illuminate\Contracts\Support\Htmlable|string  $value
     * @param  bool  $doubleEncode
     * @return string
     */
    function _langFirst($value, $lang="")
    {
        return \Wh::splitlangfind($value, $lang);
    }
}

 if (! function_exists('_url')) {
    /**
     * Encode HTML special characters in a string.
     *
     * @param  \Illuminate\Contracts\Support\Htmlable|string  $value
     * @param  bool  $doubleEncode
     * @return string
     */
    function _url($value)
    {
        $value =  $value[0] != "/" ? "/".$value : $value;
        return url(\Wh::returnLang().$value);
    }
 }

 
if (! function_exists('toJson')) {
    /**
     * Encode HTML special characters in a string.
     *
     * @param  \Illuminate\Contracts\Support\Htmlable|string  $value
     * @param  bool  $doubleEncode
     * @return string
     */
    function toJson($value)
    {
      return is_array($value) || is_object($value)? json_encode( $value, JSON_UNESCAPED_UNICODE|JSON_UNESCAPED_SLASHES) : $value;
    }
}

if (! function_exists('fromJson')) {
     /**
     * will decode json and return array or object.
     *
     * @param  text     $jsonText
     * @param  boolean  $type
     * @return [] || (object)[]
     */
    function fromJson($jsonText, $type = true)
    {
      try {
        return json_decode($jsonText, $type);
      } catch (\Exception $e) {
        return $type ?  [] : (object) [];
      }
    }
}

if (! function_exists('getFromJson')) {
    /**
     * will decode json and return parameter.
     *
     * @param  text  $jsonText
     * @param  text  $param
     * @return string
     */
    function getFromJson($jsonText, $param)
    {
        $array = fromJson($jsonText) ;
        return $array[$param] ??'';
    }
}

if (! function_exists('_toarray')) {
    /**
     * Encode HTML special characters in a string.
     *
     * @param  \Illuminate\Contracts\Support\Htmlable|string  $value
     * @param  bool  $doubleEncode
     * @return string
     */
    function _toarray($value="", $k="")
    {
         try {
              $value = fromJson($value);
              return !empty($k)? $value[$k]??'' : $value;
            } catch (\Exception $e) {
              return [];
            }

    }
}
if (! function_exists('_locale')) {
    /**
     * Encode HTML special characters in a string.
     *
     * @param  \Illuminate\Contracts\Support\Htmlable|string  $value
     * @param  bool  $doubleEncode
     * @return string
     */
    function _locale($value)
    {
        return  \Wh::returnLang().$value;
    }
}

if (! function_exists('priceToHtml')) {
    /**
     *  wi
     * @param type $price
     * @param type $salePrice
     * @param type $type
     * @return type
     */
    function priceToHtml($price, $salePrice = 0, $type = '')
    {
        return  \Wh::priceToHtml($price, $salePrice, $type);
    }
}
/**
 * this will get the translate
 */
if (! function_exists('_l')) {
     //$dataLangEn = [];
function _l($word=""){
       //global $dataLangEn;
      $getCurrentUrl= (string) request()->path();
      $view  = @strpos($getCurrentUrl, "admin")!==false ?  _TRANSLATE_ADMIN_  : _TRANSLATE_VIEW_;

       //$getData= file_get_contents(base_path('/language/en.json'));
       //$data_en = @json_decode($getData, true);
       //session('langdata','sdfsd sdf sdg s dg sd');
          //session(['langdataf' => 'lang is seted']);
         //\Session::put('langdatad',  "data 2 seted");
    try{
          $data_en =  _TRANSLATE_DATA_??[];
          $data_en = !empty($data_en) ? $data_en : [];
          if(!in_array(trim(strtolower($word)), $data_en)){
             $wordArr = trim(strtolower($word));
             $data_en[] = trim(strtolower($word));
             $newwordlang = session()->get('newwordlang1');
             $new = [];

              if(!empty($newwordlang)){
               $new = json_decode($newwordlang, true);
             }

             if(!in_array($wordArr, $new))
               $new[] = $wordArr;

             if(!empty($new)){}
                session()->put('newwordlang1', toJson($new));
              //printw($new);
             //$dataLangEn[] =  trim(strtolower($word));
             //\File::put(base_path() . '/language/en.json', json_encode($data_en, JSON_UNESCAPED_UNICODE|JSON_UNESCAPED_SLASHES));
         }
     } catch (\Exception $e) {}

    return  !empty($view[trim(strtolower($word))]) ?  \Wh::firstLetterUpercase($view[trim(strtolower($word))], $word) : $word;
 }

 }
