<?php namespace App\Http\Controllers\Admin;

use App\Modules\Categories;
use App\Modules\Product;
use Illuminate\Http\Request;
use App\Modules\Meta;
use App\Modules\Fields;
use App\Http\Controllers\Controller;

class CategoriesController extends Controller
{
        /**
         * Display a listing of the resource.
         *
         * @return \Illuminate\Http\Response
         */

    private $typeCat = "product";

    public function index($type=""){
       $this->typeCat = $type;
       $cat = Categories::where("type",$type)
                   ->where(function($query) {
                               $query->where('parent','0')
                                      ->orWhereNull('parent');
                           })->orderBy('id','asc')->paginate(10);

       $allCat = Categories::where("type",$type)->orderBy('id','asc')->get();

       $list = $this->listCat($cat,$allCat,0,0 );

       return view('admin.pages.categories', compact("cat","list","type"));
     }


     private function listCat($cat=[], $allCat=[], $parent="", $nr= 0, $type= 'product'){
            $return ="";
            $split =  "";
            $type = $this->typeCat;

           foreach($cat as $maincat){
                 $return .= view('admin.layouts.categoriesList', compact("maincat","split","type"));
                 $return .= $this->viewCat($allCat, $maincat->id,0 );
             }

         return $return;
     }

    private function viewCat($cat=[], $parent="", $nr= 0 ){
           $return ="";
           $nr= $nr + 15;
           $split=" <span style='margin-left:".$nr."px;'>></span> ";
           $type = $this->typeCat;

          foreach($cat as $maincat){
             if($maincat->parent==$parent){
                $return .= view('admin.layouts.categoriesList', compact("maincat","split","type"));
                $return .= Self::viewCat($cat, $maincat->id, $nr );
             }
          }
        return $return;
    }



    public function create($type="",$id="") {
        $page = Categories::where('id','=',$id)->first();
        return view('admin.pages.addedit_categories',  compact("page","type","id"));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)  {
         $id        = $request->input('id','');
         $title     = $request->input('title','');
         $cpu       = $request->input('cpu','') ;
         $productID = $request->input('productID','0') ;
         $lang      = $request->input('lang','');
         $type      = $request->input('type','');
         $methodadd = $request->input('methodadd','');

         $titleArr=[];
         if($methodadd=="ajax"){
            foreach(\Wh::langArray() as $vLang){
               $titleArr[$vLang] =  $request->input('title_'.$vLang);
            }
            $title =$titleArr[LANGMAIN];
         }


         $cpu      = !empty($cpu) ? \Str::slug($cpu, '-'):  \Str::slug($title, '-');
         $cpuExist = Categories::where('cpu',$cpu)->where('id','!=',$id)->count();
         $cpu      = $cpuExist > 0 ? $cpu."-".rand(999,10000): $cpu;
         $page     = Categories::where('id','=',$id)->first();

         if( !empty($id) && !empty($cpu) ){
              $oldTitle = fromJson($page->title);
              if(!empty($oldTitle[$lang]))
                 \Wh::replaceMenuUpdate($page->cpu, $cpu, $oldTitle[$lang], $title);
         }
 
                        
         $object = Categories::updateOrCreate(
                           ['id'      => $id ], 
                           ['title'   => $methodadd=="ajax" ? toJson($titleArr) :  \Wh::saveField($page->title??'', $title, $lang),
                            'cpu'     => $cpu,
                            'url'     => $request->input('url',''),
                            'metad'   => $methodadd=="ajax" ? toJson($titleArr) : \Wh::saveField($page->metad??'', $request->input('metad'), $lang),
                            'metak'   => $methodadd=="ajax" ? toJson($titleArr) : \Wh::saveField($page->metak??'', $request->input('metak'), $lang),
                            'text'    => \Wh::saveField($page->text??'', $request->input('text',''), $lang) ,
                            'parent'  => $request->input('parent'),
                            'type'    => $type ]
                         );
        \Wh::updateSettings('_categories_structure_', "", \Wh::getCatHierarchicalArray(\Wh::getCategoriesByType()) );
        
        return $methodadd=="ajax" ? \Wh::getCategoriesStructureCheckbox($type, 0, 0, fromJson($productID) ) :
                      (!empty($id) ? redirect()->back() :  redirect("/admin/categories/add-edit/".$type."/".$object->id));
    }

  /**
     * Hide show categories.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function hide_show($id, $action){
        Categories::where('id', $id)->update(['tip'=> $action]);
        return redirect()->back();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id){
        $this->additionalRemove($id);
        return redirect()->back();
    }

    private function additionalRemove($id){
        Categories::destroy($id);
        Categories::where('parent', $id)->update(['parent'=>0]);

        Meta::where('param', 'category_options')
             ->where('related_id', $id)
             ->delete();

    }


      public function update_category(){
        exit('not active at the moment');
       $product = Product::select( 'id', 'cat')->get();

       foreach($product as $val){
              Product::where('id', $val->id)
                      ->update(['cat'=> '-'.$val->cat.'-']);
        }
    }

     /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function updatebulk(Request $request)  {

          $action = $request->input('action');
          $cat = $request->input('catid');

          if(!empty($action)){

              foreach ($cat as $val){
                 if($action=='del'){
                      $this->additionalRemove(intval($val));
                     }elseif($action=='hide'){
                        Categories::where('id', $val)
                                ->update(['tip' => NULL]);
                     }elseif($action=='visible'){
                        Categories::here('id', $val)
                                ->update(['tip' => 1]);
                     }

                 }
          }

         return redirect()->back() ;
    }

    public function move_product_to_another_category(Request $request){
            $from= $request->get("from");
            $to= $request->get("to");
            //return $to."-".$from;
           $product = Product::select( 'id', 'cat')->where('cat',"like", "%,".$from.",%" )->get();
            $ii=0;
           foreach($product as $val){$ii++;
               Product::where('id', $val->id)
                          ->update(['cat'=> "01,".$to."," ]);
            }
            // echo $ii."<br/>";
          return redirect()->back();
    }

}
