<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Http\Controllers\Admin\array_settings;
use App\Modules\Settings;
 
class CurrencyController extends Controller
{
    
    private function getConf(){
        $directory  = app_path("Config/Currencies.php");
        return \File::exists($directory)? require $directory : [];
         
    }
    
      /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        // Retrieve the currency settings from the database
        $rows = Settings::where('param', '_currencies_')->value('value1');
        // Decode the JSON data
        $rows       = json_decode($rows, true);
        $currencies = $this->getConf();
        
        return view('admin.pages.currencies', compact('currencies','rows'));
    }
    
    public function store(Request $request)
    {
        if($request->action=="new"){
        // Retrieve existing currency settings from the database
        $currencies = Settings::where('param', '_currencies_')->value('value1');
        $currencies = json_decode($currencies, true);
 
         $array = $request->only(['default',  'type', 'rate']);
         $currenciesConfig = $this->getConf();
         $array['code'] = $currenciesConfig[$request->currency] ?? '';
        // Add or update the currency data based on the request
        $currencies[$request->currency] = $array; 

        // Encode the updated data back to JSON
        $jsonData = json_encode($currencies);
        }else{
          $currenciesReq = $request->currencies??[];
          $default       = $request->default??'';
          $currencies    = [];
          foreach($currenciesReq as $val){
            $currencies[$val]            = $request->$val ?? [];
            $currencies[$val]['default'] = $default ==$val ? "yes": "no";
          }
          
          // Move the element where 'default' is 'yes' to the first position
            uasort($currencies, function($a, $b) {
                if ($a['default'] === 'yes') {
                    return -1; // $a comes before $b
                } elseif ($b['default'] === 'yes') {
                    return 1; // $b comes before $a
                } else {
                    return 0; // No change in order
                }
            });
          $jsonData = json_encode($currencies);  
        }
        // Update the database record
        Settings::updateOrCreate(
            ['param' => '_currencies_'],
            ['value1' => $jsonData]
        );

        return redirect()->back();
    }

    public function destroy($currency)
    {
        // Retrieve existing currency settings from the database
        $currencies = Settings::where('param', '_currencies_')->value('value1');
        $currencies = json_decode($currencies, true);

        // Remove the specified currency from the array
        unset($currencies[$currency]);

        // Encode the updated data back to JSON
        $jsonData = json_encode($currencies);

        // Update the database record
        Settings::updateOrCreate(
            ['param' => '_currencies_'],
            ['value1' => $jsonData]
        );

       return redirect()->back();
    }
}