<?php
namespace App\Http\Controllers\Admin;
 
 
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Modules\Fields;
use App\Http\Services\FieldsService;
class FieldsController extends Controller {
    
/**
 * Get the list of fields based on the provided type and optional related ID.
 *
 * @param string $type The type of fields to retrieve.
 * @param int|null $relatedId The optional related ID to filter the fields.
 * @return \Illuminate\Contracts\View\View The view containing the list of fields.
 */
     
    public function getList($type, $relatedId = null)
    {
      
      $data           = (new FieldsService())->getList($type, $relatedId);
      $conf           = config('app.'.$type);
      $data["fields"] = !empty($conf) ? $conf : [];
       
      
      $view = view()->exists("admin.pages.".$type)? "admin.pages.".$type : 'admin.pages.fields';
      return view( $view,$data) ;
    }

    public function store(Request $request)
    {
      
        (new FieldsService())->saveAll($request);
       // Redirect back with a success message
       return redirect()->back()->with('success', 'Rows saved successfully!');
    }

    public function add(Request $request)
    {
      (new FieldsService())->add($request);
      // Redirect back with a success message
      return redirect()->back()->with('success', 'Rows saved successfully!');
    } 

    public function remove($id=0)
    {
       Fields::destroy($id);
      // Redirect back with a success message
      return redirect()->back()->with('success', 'Record deleted successfully!');
    }   
}