<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Modules\Settings;
use App\Modules\Page;
use App\Modules\Admin\Upload;
 
class GeneralController extends Controller
{
    
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index() {
      return view("admin.pages.generalSettings",["general" => $this->mainOption()]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        $upload      = new Upload();
        $post_all    = $request->all();
        $mainOptions = \Wh::getSettingsFromJson("_main_options_");

        $post_all['_main_options_']['_logo_']    = !empty($post_all['_logo_']) ? $upload->simpleUpload($request, "_logo_" ) 
                                                                               : $mainOptions['_logo_'] ?? '';

        $post_all['_main_options_']['_favicon_'] = !empty($post_all['_favicon_']) ? $upload->simpleUpload($request, "_favicon_" ) 
                                                                                  : $mainOptions['_favicon_'] ?? '';
        unset($post_all['_logo_']);
        unset($post_all['_favicon_']);
        
        //this add options what was added from other parts
        foreach($mainOptions as $key => $val){
          if(!isset($post_all['_main_options_'][$key]) && !isset($this->mainOption()[$key]))
            $post_all['_main_options_'][$key] = $val;
        }
       
        foreach($post_all as $k => $v){
         \Wh::updateSettings($k, "", $v);
        }


        $existing_url = @rtrim($mainOptions['_website_url_']??'', '/\\');
        $new_url      = @rtrim(($post_all['_main_options_']['_website_url_']??''), '/\\');
        $cleanUrl     = \Wh::clearUrl($existing_url);


        if($existing_url != $new_url && !empty($existing_url) && !empty($new_url)){

        $settings = Settings::select('id','value1')->where('param','_website_menu_')->get();

        if(count($settings)>0){
            foreach($settings as $v_settins){
             if(strpos($v_settins->value1,$existing_url) !== false){
               Settings::where('id',$v_settins->id)->update(['value1'=>@str_replace($existing_url, $new_url, $v_settins->value1)]);
             }
            }
        }

        $pages = Page::select('id','options','text')
                       ->where("text",'like','%'.$cleanUrl.'%')
                       ->orWhere("options",'like','%'.$cleanUrl.'%')
                       ->get();

          if(count($pages)>0){

             $optionURL = @str_replace('/','\/', $existing_url);
             $jsonURL   = @str_replace('/','\/', $new_url);
               foreach($pages as $v_page){
                   Page::where('id',$v_page->id)
                           ->update(['text'=>@str_replace($existing_url, $new_url, $v_page->text),
                                     'options'=>@str_replace([$optionURL, $existing_url], [$jsonURL, $jsonURL], $v_page->options)]);
                }
           }

        }

        if(empty($post_all['_main_options_']['_developmentMode_']) && !empty($mainOptions['_developmentMode_']) ){
            $css = _CSSSTYELE_;

             foreach($css as $kcss => $vcss){
                 try{
                    $contentCss = @file_get_contents(base_path($vcss));
                    $minified   = @\Wh::minify_css($contentCss);
                    $imgPath    = @\Wh::removeSlashes($vcss);
                    $minified   = str_replace(["../","%-"],[$imgPath, "% - "], $minified);

                    $file=  str_replace(".css",".blade.php",$vcss);
                    $file = str_replace("//","/", base_path($file));
                    \File::put($file, $minified);
                  }catch(\Exception $e){}
              }
         }

       if(!empty($post_all['_main_options_']['_cachehomepage_'])){
        $contentHome = file_get_contents(url("/")."?keyHome=SdeVssSDSFwe");
        $contentHome = str_replace( "%-" , "% - " , $contentHome);
         try{ 
          \File::put(base_path('/resources/views/standart/cache/home.blade.php'), \Wh::minify_html($contentHome));
         }catch(\Exception $e){}
       }

        return redirect()->back();
    }


     // we put it in a method because we got this helper _l
  private function mainOption(){
     return ['_email_verification_'=>['type'=>'checkbox','title'=>_l('Users need to verify their email when create new account'),
                                                     'option'=>'yes','parent'=>'_main_options_'],
             '_new_account_registered_'=>['type'=>'checkbox','title'=>_l('Get an email when new user registered'),
                                         'option'=>'yes','parent'=>'_main_options_'],
             '_siteonMaintain_'=>['type'=>'checkbox','title'=> _l('Website on maintenance'), 'option'=>'yes', 'parent'=>'_main_options_'],
             '_developmentMode_'=>['type'=>'checkbox','title'=> _l('Development Mode'), 'option'=>'yes', 'parent'=>'_main_options_'],
             '_cachehomepage_'=>['type'=>'checkbox','title'=>_l('Cache Home Page'), 'option'=>'yes','parent'=>'_main_options_'],
             'admin_mail'=>['type'=>'input','title'=>'<i class="fa fa-at"></i> '._l('Email Address'),'parent'=>'_main_options_'],
             '_website_url_'=>['type'=>'input','title'=>'<i class="fa fa-link"></i> '._l('Site Address (URL)'),'parent'=>'_main_options_' ],
             '_site_title_'=>['type'=>'input','title'=>'<i class="fa fa-file"></i> '._l('Site Title'),'parent'=>'_main_options_' ],
             '_metad_'=>['type'=>'input','title'=>'<i class="fa fa-file"></i> '._l('Meta descriptions'),'parent'=>'_main_options_' ],
             '_metak_'=>['type'=>'input','title'=>'<i class="fa fa-file"></i> '._l('Meta keyword'),'parent'=>'_main_options_' ],

             'freespace_1'=>['type'=>'','title'=>'<h4>'._l('Shop pages').':</h4>' ],
             '_pageHome_'=>['type'=>'select','title'=> _l('Home Page'),'option'=>'\Wh::getPages', 'function'=>'yes','parent'=>'_main_options_'],

            //'_acceptcookies_'=>['type'=>['select'],'title'=>_l('Cookies'),'option'=>'\Wh::getPages', 'function'=>'yes'],
             '_checkout_termandcondition_'=>['type'=>'select','title'=>_l('Checkout term and condition page'),'option'=>'\Wh::getPages', 'function'=>'yes','parent'=>'_main_options_'],
            //'_pageCategories_'=>['type'=>['select'],'title'=>_l('Product Categories'),'option'=>'\Wh::getPages', 'function'=>'yes'],
            //'_pageSingleProduct_'=>['type'=>['select'],'title'=>_l('Single Product'),'option'=>'\Wh::getPages', 'function'=>'yes'],
            //'_pageCart_'=>['type'=>['select'],'title'=>_l('Cart Page'),'option'=>'\Wh::getPages', 'function'=>'yes'],
            // '_pageCheckout_'=>['type'=>['select'],'title'=>_l('Checkout'),'option'=>'\Wh::getPages', 'function'=>'yes'],
            // '_pageMyorders_'=>['type'=>['select'],'title'=>_l('Orders Page'),'option'=>'\Wh::getPages', 'function'=>'yes'],
             '_footerjs_'=>['type'=>'textarea','title'=>_l('Any js like google analitycs code or chat') ],
            ];
    }
    
}
