<?php
//https://translate.googleapis.com/translate_a/single?client=gtx&sl=en&tl=ru&dt=t&q=hello
//https://stackoverflow.com/questions/8085743/google-translate-vs-translate-api

namespace App\Http\Controllers\Admin;

use App\Modules\Settings;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class Language extends Controller
{


  /**
     * Show page language
     */
 public function index($langget="",$type=""){
    $lang = @require app_path('Helpers/lang.php');
    $lang_view =  $type =="front" ? $langget : "";
    $lang_admin = $type =="admin" ? $langget : "";
    $adminlang =  \Wh::getSettings('_lang_admin_', 'value1');
    $rows = @_TRANSLATE_DATA_;

    $translateView  =  !empty($langget) ? $this->getTranslateJson($langget) : [];
    $translateAdmin = @_TRANSLATE_ADMIN_;

   return view('admin.pages.language',  compact('lang', 'lang_view', 'lang_admin', 'adminlang', 'rows','translateAdmin','translateView'));
 }


 private function getTranslateJson($langView =""){
     try {
       $getData= file_get_contents(base_path('/language/'.$langView.'.json'));
       $data_en = @json_decode($getData, true);
       $getDataTheme = @file_get_contents(base_path('/platform/Themes/'._THEME_NAME_.'/lang/'.$langView.'.json'));
       $data_enTheme = @json_decode($getDataTheme, true);
       if(!empty($data_enTheme)&& is_array($data_enTheme)){
         $data_en=array_merge($data_enTheme, $data_en);
       }

     } catch (\Exception $e) {
         $data_en =[];
       }

    return $data_en;
 }


    /**
     * Save editabled data in csv file
     */
 public function setLanguage(Request $request){
    $langView  = @$request->input('langView');
    $langAdmin  = @$request->input('langAdmin');
    $dataView  = @$request->input('dataView');
    $dataAdmin  = @$request->input('dataAdmin');

    $this->updateLang($dataView, $langView);
    $this->updateLang($dataAdmin, $langAdmin);

    return redirect()->back();
 }

 private function updateLang($data, $lang){
    if(!empty($data)){
        $file= base_path() . '/language/'.$lang.'.json';
        $dd = @json_encode($data,JSON_UNESCAPED_UNICODE|JSON_UNESCAPED_SLASHES);
       \File::put($file, $dd);
     }
 }


 public function translatePage($lang='' ){
    $rows = @_TRANSLATE_DATA_;
    return view('admin.pages.translade', compact('rows', 'lang' ));
  }

   /**
     * If you use google translate and copy paste so it will create the json file with the data in like
     * de.json
     */
 public function fullTranslate(Request $request){
     $text  = @$request->input('text');
     $lang  = @$request->input('lang');
     $begin  = @$request->input('begin');
     $end  = @$request->input('end');

     $data = explode("\n",$text);
     $file = base_path('/language/'.$lang.'.json') ;

 if(!empty($text) && count($data)>10){
     $new_data=[];
     if(\File::exists($file)){
        $getData = file_get_contents($file);
        $new_data = @json_decode($getData, true);
     }
      $rows = @_TRANSLATE_DATA_;
      $j=0;
      for($i=0; $i<count($rows); $i++){
        if($i>=$begin && $i<=$end){
            $new_data[$rows[$i]] = !empty($data[$j]) ? trim($data[$j]) :'';
            $j++;
         }
       }


      $dd = json_encode($new_data,JSON_UNESCAPED_UNICODE|JSON_UNESCAPED_SLASHES);
      \File::put($file, $dd);
  }
      return redirect()->back();

 }

  /**
   * This function will set the language in table settings
   */
 public function updateLanguage(Request $request){
    $langView  = @$request->input('_lang_view_');
    $langAdmin  = @$request->input('_lang_admin_');

    // if the row with param is not it will add a new row in database,
     // if the row is it will update it
     if(!empty($langView)){
         $langDB = \Wh::getSettings('_lang_view_', 'value1');
         $update = !empty($langDB)? '{"0":"'.$langDB.'","1":"'.$langView.'"}' :'{"0":"'.$langView.'"}';
         if(\Wh::isJson($langDB) && !empty($langDB)){
          $json = json_decode($langDB, true);
          $json[] = $langView;
          $json =array_filter($json);
          $json =array_values($json);
          $update = json_encode($json);
       }

      \Wh::updateSettings('_lang_view_', '', $update);
    }


    \Wh::updateSettings('_lang_admin_', '', $langAdmin);
    return redirect()->back();
 }


public function operation($lang="", $type="delete"){
    $lang_view = \Wh::getSettings('_lang_view_', 'value1');
    $update =$type == "delete" ? '{"0":"en"}': '{"0":"'.$lang.'"}';
   if(\Wh::isJson($lang_view) && !empty($lang_view)){
      $json = json_decode($lang_view, true);
       if(count($json) > 0 ){
          $key = array_search ($lang, $json);
           unset($json[$key]);

         if($type != "delete"){
             $new_arr=[$lang];

             $json = array_merge($new_arr, $json);

             if($type == "default")
                setcookie('lang', $lang, time() + (86400 * 100), "/");

             }else{
               $json = count($json) > 0 ? $json : ["en"];
             }

             $json = @array_values(array_filter($json));
             $update = json_encode($json);
         }
   }

  \Wh::updateSettings('_lang_view_', '', $update);
  return redirect()->back();
}



}
