<?php

namespace App\Http\Controllers\Admin;
 
use Illuminate\Support\Facades\Mail;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Modules\EmailSetting;
use App\Mail\SendMail;
class MailController extends Controller
{
 
  public function index(){
      $drivers = [ "sendmail", "smtp", "mailgun", "mandrill", "ses", "sparkpost", "log", "array"];
      $row = EmailSetting::first();  
      return view("admin.pages.email",compact("row","drivers"));  
  }
      
  
  public function store(Request $request){
    $mailSettings = $request->only([
            'driver',
            'from_name',
            'from_address',
            'host',
            'port',
            'encryption',
            'username',
            'password'
        ]);
         
    // Extract the id from the $mailSettings array
    // Use updateOrCreate to update or create the record
    EmailSetting::updateOrCreate(['id' => $request->input('id')], $mailSettings);  
    return redirect()->back();
}
  
  public function sendTest(Request $request){
      try { 
            
             Mail::to($request->input('to'))->send(new SendMail('Test mail from '.url("/"), $request->input('body') ));
              return redirect()->back();
           } catch (\Exception $e) {
                $error = '<p style="color: red; background: #fff; padding: 5px; font-weight:bold;"> 
                             ERROR:'.$e->getMessage().'<br /><br /> !!</p>';
                return $error;
        }  
   } 
  
}