<?php

namespace App\Http\Controllers\Admin;
use App\Modules\Settings;

use App\Modules\Categories;
use App\Modules\Page;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class MenuController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
         $settings = Settings::where('param','_website_menu_')->orderBy("id",'desc')->get();
         return view("admin.pages.menu",['rows'=>$settings]);
    }


  /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
         $menuConfig = \Wh::getAllConfigs("menu");
         $position = [];
        if(!empty($menuConfig)){
         foreach($menuConfig as $k=>$v){
              $position= array_merge($position, $v);
            }
         }
 
          $custom_links   = UTILS_LINK_FOR_MENU??[];
          $all_categories = _CATEGORIES_STRUCTURE_ ??[];
            // get all the config
          $custom_links = \Wh::mergeAllConfig($custom_links, "customLinks");

           
          $all_list = $custom_links;
          
          $pages = Page::where('type','pages')->orderBy('id', 'desc')->get();
          foreach($pages as $p){
             $all_list['/page/'.$p->cpu]= $p->title;
          }
          
          foreach($all_categories as $vCat){
            $all_list['/cat'.$vCat['cpufull']]= $vCat['title'];
          }
         
         $row= Settings::where('id',$id)->first();
         
         return view('admin.pages.menu-single', compact('row','pages','position','all_list','custom_links','all_categories'));
    }


    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
          $id   = $request->input('id');
          $lang = $request->input('lang');
          $text = @$request->input('value1');

          $page = Settings::where('id',$id)->first();

          $text = str_replace(['class="activeIn"','id="undefined"','class=""','<ul></ul>'],'',$text);

          $data = [
                'value'   => $request->input('value'),
                'value1'  => \Wh::saveField(($page->value1??''), $text, $lang),
                'value2'  => $request->input('value2')??'',
                'param'   => '_website_menu_',

            ];

            //print_r($data);
          Settings::updateOrCreate( ['id' => $id ], $data );
          return redirect()->back();
    }



    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy ($id)
    {
        Settings::where('id', $id)->delete();
        return redirect()->back() ;
    }



   /**
    * dublicate ittem
    */
     public function dublicate($id, $lang="", $langto){
             $page = Settings::where('id','=',$id)->first();

            $all_categories = @_CATEGORIES_STRUCTURE_;
             $html = \Wh::splitlang(@$page->value1, $lang);


             foreach($all_categories as $val){
                //$html = preg_replace('~(<div class="green">)(.*)(</div>)~', '$1Replacement$2', $html);
                $link =  'href="/cat/'.@$val['cpufull'].'"';
                $title = _lang(@$val['title'], $langto);


                if(strpos($html, $link) !== false){
                   /* $html = preg_replace('~(href="'.$link.'".*?>)(.*?)(</a>)~', '$1'._lang(@$val['title'], $langto).'$2' , $html); */
                    $html = preg_replace('~('.$link.'.*?>).*?(</a>)~', '$1'.$title.'$2' , $html);
                    echo $link."---".$title."<br />";

                 }

                 $link2 = "/category/".@$val['type']."/".@$val['cpu'];
                 if(strpos($html, $link2) !== false && !empty($title)){
                    $html = preg_replace('~(href="'.$link2.'".*?>).*?(</a>)~', '$1'.$title.'$2' , $html);
                 }


             }


            $pages = Page::select("cpu","title")->get();
            foreach($pages as $p){
                  $link =  "/page/".$p['cpu'];
                  $title = _lang(@$p['title'], $langto);
                if(strpos($html, $link) !== false && !empty($title)){
                   /* $html = preg_replace('~(href="'.$link.'".*?>)(.*?)(</a>)~', '$1'._lang(@$val['title'], $langto).'$2' , $html); */
                    $html = preg_replace('~(href="'.$link.'".*?>).*?(</a>)~', '$1'.$title.'$2' , $html);
                 }
            }

             //echo $html; return ;

             $data = [
                      'value1'  =>\Wh::saveField(@$page->value1, $html, $langto),
                    ];


                   Settings::updateOrCreate(
                          ['id' => $id ], $data
                         );

             $url = url('/admin/menu/single/'.@$id."?lang=".$langto);
             return redirect($url) ;
      }



}
