<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Modules\Orders;
use App\Modules\Product;
use App\Modules\ProductMeta;
use App\Http\Services\PaymentService;
use App\Http\Controllers\Controller;
use App\Http\Services\CartService; 
use App\Http\Services\FieldsService;

class OrdersController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index($status = "all", $s="" )
    {  
            if($status=="all" && empty($s)){
                  $data = Orders::where('status','!=','Incomplete')
                                 ->orderBy('id','desc')
                                 ->paginate(50) ;
            }elseif(!empty($s)){
                  $data = Orders::where("shipping",'like','%'.$s.'%')
                                 ->orWhere("options",'like','%'.$s.'%')
                                 ->orWhere("user_id",'like','%'.$s.'%')
                                 ->orWhere("id",'like','%'.$s.'%')
                                 ->orderBy('id','desc')
                                 ->paginate(50);
            }else {
                  $data = Orders::where('status',$status)
                                 ->orderBy('id','desc')
                                 ->paginate(50) ;
            }
       
          $get_var = empty($s) ? $status : $s;
         return view('admin.pages.home', ['orders' =>  $data, 'getvar'=>$get_var]);
    }


    function viewOrder($id=""){
         $vorder         = Orders::find($id);
         $shipping       = fromJson($vorder->shipping);
         $billingFields  = (new FieldsService())->convert($shipping['billing']??[]) ;
         $shippingFields = (new FieldsService())->convert($shipping['shipping']??[]) ;
         $cart           = CartService::getCart(4, $vorder->id);
         
         return view('admin.pages.vieworder', compact('vorder','cart','billingFields', 'shippingFields'));
    }

      /**
     * Remove or change status .
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function  bulk_processing(Request $request)
    {
          $productid = $request->input('productid');
           $action = $request->input('action');
           $s = $request->input('s');
           $email= new PaymentService();

          if(!empty($action) && empty($s) && !empty($productid)){

              foreach ($productid as $val){
                 if($action=='del'){
                         Orders::where('id', $val)->delete();
                     }else{

                         Orders::where('id', $val)->update(["status"=>$action]);
                         $email->email_prepare($action, $val);

                     }
                  }
           }

      return !empty($s)? redirect('/admin/orders/status/all/'.$s) :  redirect()->back() ;
    }


     public function change_status($id, $status='on-hold'){
        Orders::where('id', $id)->update(["status"=>$status]);
        $email= new PaymentService();
        $email->email_prepare($status, $id);
        return redirect()->back() ;
     }




     /**
         * Display a listing of the resource.
         *
         * @return \Illuminate\Http\Response
         */
        public function user_orders($id='')
        {
              $orders = Orders::where('user_id',$id)->where('status','!=','Incomplete')->paginate(50);
             return view('admin.pages.home', ['orders' => $orders]);
        }

      
}
