<?php
namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Http\Services\CredentialServices;
use App\Http\Requests\CredentialRequest;
use App\Dto\CredentialDTO; 

class SocialMediaLoginController extends Controller {
    private $social  = ['facebook', 'google', 'twitter', 'telegram'];
   
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index() {
       $rows = (new CredentialServices())->getEnableDescr(config('app.sociallogin'));
       return view('admin.pages.social-login-list', ['rows' => $rows]);
    }
    
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function settings($param="")
    {
       $view =  "yes";
       $data = (new CredentialServices())->getFirst($param);
       return view("admin.pages.social-login-list", compact("view","data","param"));
    }
    
    /**
     * Enable disable credential.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function activate($param='', $type="yes")
    {
      (new CredentialServices())->enable($param, $type);
       return redirect()->back();
    }
    
    
     /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
      public function store(CredentialRequest $request){
           $data = new CredentialDTO((object)$request->validated());
           (new CredentialServices())->store($data->param, $data->toArray());
           return redirect()->back();
      }

}