<?php
namespace App\Http\Controllers\Admin;
 
 
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Modules\Suggestions;
use App\Http\Services\SuggestionService;
 

class SuggestionController extends Controller {
    
/**
 * Get the list of fields based on the provided type and optional related ID.
 *
 * @param string $type The type of fields to retrieve.
 * @param int|null $relatedId The optional related ID to filter the fields.
 * @return \Illuminate\Contracts\View\View The view containing the list of fields.
 */
public function getList($relatedId, $type="")
{
   
  return view('admin.layouts.sugestions', (new SuggestionService())->getList($relatedId, $type ));
}

public function store(Request $request)
{
    (new SuggestionService())->storeSingle($request);
    return _l('Saved');
}

 public function add(Request $request)
    {
     $relatedId = $request->input('relatedId');
     $type      = $request->input('type');   
     (new SuggestionService())->add($request);
     return view('admin.layouts.sugestions', (new SuggestionService())->getList($relatedId, $type ));
    } 
 
  public function remove($id, $relatedId, $type="")
    {
       Suggestions::destroy($id);
      // Redirect back with a success message
      return view('admin.layouts.sugestions', (new SuggestionService())->getList($relatedId, $type ));
    } 
    
 public function removeBulk(Request $request)
    {
     $relatedId = $request->input('relatedId');
     $type      = $request->input('type');   
     $rowid     = $request->input('rowid');
     $action    = $request->input('action');
     
     if(!empty($action)){
      if($action=='del' ){
         Suggestions::destroy($rowid);
      }
     }
     return view('admin.layouts.sugestions', (new SuggestionService())->getList($relatedId, $type ));
    } 
}