<?php
 
namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Modules\Coupon;
use App\Modules\CouponApplied;
use App\Modules\Cart;
use App\Http\Services\CartService;
 
/**
 * Description of CartController
 *
 * @author Corneli F.
 */
class CartController {
    //put your code here
    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */

    function cart(){
       
        $cart = CartService::getCart();
        \Config::set('page', 'cart');
       
        return view('theme::cart',["cart" => $cart, 
                                   "cartTotal" => $cart->count(), 
                                   "err" =>  "",
                                   "iderr"=>"", 
                                    "cart_page"=>"yes"]);
    }
    
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function AddToCart(Request $request ) {
        $id        = $request->input('id');
        $qtu       = $request->input('qtu');
        $option_id = $request->input('options');
        $max_qtu   = $request->input('max_qtu');
        $oneQty    = $request->input('oneQty');
        
         //return "  add to cart: ".@CartService::getSession();
        $wher = [['typecart','=',2], ['user_id','=', CartService::getSession()], ['product_id','=',$id]];
        
        if(!empty($option_id)){
            $wher[] =  ['options_id','=',$option_id];
        }
        
        $cart_ittem = Cart::where($wher)->select('id','qty')->first();

        $data = ['qty'=>$qtu, 'product_id'=>$id, 'typecart'=>2 ,'user_id' =>  CartService::getSession() ];

        if(!empty($option_id)){
          $data['options_id'] = $option_id;
        }
        if( !empty($cart_ittem) && empty($oneQty) ){
            $total=  $qtu +  $cart_ittem->qty;
            $quantity = $total > $max_qtu ? $max_qtu : $total;
            $data['qty'] = $quantity;
            $data['created_at']=date("Y-m-d h:i:s");
        }


           $cart_id = !empty($cart_ittem)? $cart_ittem->id : 222323232;
           Cart::updateOrCreate(
                           ['id' => $cart_id ],$data
                         );
           
           $cart = CartService::getCart();
          
           $view = view()->exists("theme::layouts.small_cartittem")? 'theme::layouts.small_cartittem' : 'standart.small_cartittem';
       return  view($view, compact('cart'));
    }
    
    /**
  * A quick link add to cart and redirect to checkout
  * productID - id product
  */
    public function quickBuy($productID=0){
             $wher = [['typecart','=',2], ['user_id','=', CartService::getSession()], ['product_id','=',$productID]];
             $cart_ittem = Cart::where($wher)->select('id','qty')->first();

             $cart_id = !empty($cart_ittem)? $cart_ittem->id : 222323232;
             $data = ['qty'=>1,
                      'created_at'=>date("Y-m-d h:i:s"),
                      'product_id' => $productID,
                      'user_id' =>  CartService::getSession(),
                      'typecart'=>2
                      ];


             Cart::updateOrCreate(
                           ['id' => @$cart_id ],$data
                         );

        return  redirect("/steps/checkout/");
    }
    
    /**
     * All the operation on cart page like:
     *  delete ittem from cart
     *  inncrement quantity
     *  decremment quantity
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function actioncart(Request $request) {
        $type = $request->input('type');
        $id   = $request->input('id');
        $cartQtu  = $request->input('qty');
        $productStock  = $request->input('productStock');

         $error= "";
         if($type=="del"){
            Cart::where([['id',  $id],['user_id', CartService::getSession()]])->delete();
          }

          if($type=="incr") {
                $error= $cartQtu <= 0? " <span></span>":"";
                $error= $cartQtu > $productStock ? "<p style='color:red;'> "._l(' Left only')." $productStock "._l('quantities')." </p>" : $error;

               if(empty($error) || $cartQtu > $productStock){
                   $sql = $cartQtu > $productStock ? $productStock : $cartQtu;
                   Cart::where([['id',  $id],['user_id', CartService::getSession()]])
                       ->update(['qty'=>$sql]);
                }
            }

           $cart = CartService::getCart();
           $view = view()->exists("theme::layouts.cartittem")? 'theme::layouts.cartittem' : 'standart.cart.cartittem';
           return view($view, ["cart"  => $cart, 
                               "err"   => $error, 
                               "iderr" => $id ]);
   }


   public function couponApply(Request $request){
      $cuppon = $request->input('cuppon');

     $get = Coupon::where('title',$cuppon)
                                ->whereNull('publish')
                                ->select("id","used")->first();
     $errss= "";
     if(!empty($get)){
          $data1= ['cupon_id'=>$get->id,
                   'user_id'=>CartService::getSession(),
                   'order_id'=>"1"];
          CouponApplied::updateOrCreate(['user_id'=>CartService::getSession(),
                                         'order_id'=>"1"
                                        ],$data1);

          //$used= empty($get->used)? 1 : $get->used + 1;
          Coupon::where('id',$get->id)->update(['used'=>$get->used + 1]);
     }else{
         $errss =  _l('This cuppon is expired!');
      }
      
      $cart = CartService::getCart();
      
      $view = view()->exists("theme::layouts.cartittem") ? 'theme::layouts.cartittem' 
                                                         : 'standart.cart.cartittem';
      
      return  view($view, ["cart"  => $cart, 
                           "err"   => $errss, 
                           "iderr" =>  "" ]);
   }
    
}
