<?php

namespace App\Http\Controllers;

use App\Modules\FileUpload;
use App\Modules\Cart;

class Download extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index($id=0, $orderid=0) {
         $row= FileUpload::find($id);
         
         if(empty($row)) 
             return redirect()->back();
        
         $check_cart = Cart::where('cart.product_id', $row->id_post)
                           ->where('cart.typecart', '4')
                           ->where('cart.orderid', $orderid)
                           ->join('orders', 'cart.orderid', '=', 'orders.id')
                           ->where(function ($query) {
                                    $query->where( 'orders.status', 'processing')
                                          ->orWhere( 'orders.status', 'completed');
                                 })
                            ->where(function ($query) {
                                    $query->where( 'orders.user_id', \Wh::id_user("yes"))
                                          ->orWhere( 'orders.sessionuser', \Wh::get_sesion());
                                 })
                            ->select("cart.id as cid","cart.downloaded as dNr","orders.id as oid")         
                           ->first();
          
            
         $destinationPath = public_path('product-files/'.$row->file);
        
          if(!empty($check_cart) && file_exists( $destinationPath )){
             Cart::whereid($check_cart->cid)->update(['downloaded'=>$row->dNr+1]);
             $response =  \Response::download($destinationPath, $row->originalFileName) ;
                 ob_end_clean();
             return $response;
          }else{
             return redirect()->back();
          }
         
        
       }

     
}
