<?php

namespace App\Http\Controllers;

use App\Modules\Product;
use App\Modules\Page;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;



class HomeControler extends Controller {

     public function index() {
        return view('theme::cach.home');
     }

     /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */


    public function home(Request $request)
    {
        try {
            $settings  = mainOption("_pageHome_");
            $cacheHome = mainOption("_cachehomepage_");
            $homeKey   = $request->get('keyHome');

            // If cache exists and the key is not provided, return cached view
            if (!empty($cacheHome) && $homeKey != "SdeVssSDSFwe") {
                return view("standart.cache.home");
            }

            // Fetch either a page or random products based on settings
            $products = !empty($settings) ?
                Page::where("id", $settings)->first() :
                Product::where('product.qtu','>',0)
                       ->where('product.hide', '>' ,0)
                       ->inRandomOrder()
                       ->paginate(20);

            // Determine the view based on settings
            $view = !empty($settings) ? 'theme::pages' : 'theme::home';
            \Config::set('page', 'home');
              
            // Return the view if it exists, otherwise return an error message
            return view()->exists($view) ?
                view($view, [
                    'products' => $products ?? [],
                    'rows'     => $products ?? [],
                    'urlis'    => '',
                    "content"  => \Wh::shortCode(\Wh::splitlang($products->text ?? ''))
                ]) : 'No view';

        } catch (\Exception $e) {
            // Redirect to installation page in case of error
            return redirect('/install/');
        }
    }


   /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
   public function shop(Request $request)
    {
        try {
            // Query products with joins and random ordering
            $products = Product::where('product.qtu','>',0)
                               ->where('product.hide', '>' ,0)
                               ->whereMetaArray("attribute",$request->all())
                               ->inRandomOrder()
                               ->paginate(20);

            // Determine the view
            $view = $request->ajax()? 'theme::productlistAjax' : 'theme::shop';
            // Return the view if it exists, otherwise return an error message
            return view()->exists($view) ?
                view($view, [
                    'products' => $products,
                    'rows' => $products,
                    'urlis' => ''
                ]) : 'No view';

        } catch (\Exception $e) {
            // Redirect to installation page in case of error
            return redirect('/install/');
        }
    }

    public function setlang($lang="en"){
        setcookie('lang', $lang, time() + (86400 * 100), "/");
        return redirect()->back();
    }

}
