<?php

namespace App\Http\Controllers\Install;

use File;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Http\Request;
use App\Modules\Settings;
use Illuminate\Support\Facades\Request as Req;

class InstallController extends Migration
{
  

   /**
    * Check if is instaled
    */

  private $websiteName="Ecommercecms.org, Fast and Best Laravel CMS";

  public function install()
    {
       return $this->_check(redirect('/install/admin/'),
             view("standart.Install.database",['error'=>""]));
    }



 public function database(Request $request) {
   $check = $this->_check(redirect('/install/admin'),'doit');
   if($check !='doit') return $check;

   $host     = $request->input('host');
   $database = $request->input('database');
   $username = $request->input('username');
   $password = $request->input('password');
   $dbtype   = $request->input('dbtype');

  try {
       $conn = new \PDO("mysql:host=$host;dbname=$database", $username, $password);
        // set the PDO error mode to exception
        //$conn->setAttribute(\PDO::ATTR_ERRMODE, \PDO::ERRMODE_EXCEPTION);
        $conn = null;

    } catch (\PDOException $e) {
        $error = '<p style="color: red; background: #fff; padding: 5px; font-weight:bold;">
                     ERROR:'.$e->getMessage().'<br /> '._l('Please check your data').'!!</p>';
        return view("standart.Install.database", compact('error','host','database','username','password'));
    }

$dbOption = $dbtype=="mariadb" ? "[PDO::ATTR_EMULATE_PREPARES => true]" :
                                 "array_filter([ PDO::MYSQL_ATTR_SSL_CA => env('MYSQL_ATTR_SSL_CA'),])";
$code= "<?php
return [
'APPKEY'=>'".\Wh::get_random(32)."',
'APP_NAME'=>'Ecommercecms',
'APP_DEBUG'=>false,
'APP_URL'=>'".url("/")."',
'DB_HOST'=>'".$host."',
'DB_PORT'=>'3306',
'DB_DATABASE'=>'".$database."',
'DB_USERNAME'=>'".$username."',
'DB_PASSWORD'=>'".$password."',
'DB_TABLE_PREFIX'=>'f_',
'DB_OPTION'=>".$dbOption.",
];";

           //$result = copy(base_path().'/.env.example',base_path() . '/.env');

        try {
            if (\File::exists(base_path() . '/config/systemconfig.php')) {
                \File::put(base_path() . '/config/systemconfig.php', $code);
            } else {
                copy(base_path().'/config/systemconfig.example.php', base_path() . '/config/systemconfig.php');
                \File::put(base_path() . '/config/systemconfig.php', $code);
            }
            
            sleep(4); // some time to update the file requier few seconds so we need to wait until the changes are done
            return redirect('/install/admin/');
        } catch (\Exception $e) {
            $error = '<p style="color: red; background: #fff; padding: 5px; font-weight:bold;">
                                 ERROR:'.$e->getMessage().'!!</p>';
            return view("standart.Install.permission-dennied",compact('error','code'  ));

            // You can log the error for further investigation
            //\Log::error($errorMessage);

        }


 }

 /**
  * Create admin step
  */
public function adminCreate(Request $request){
    // Get the current URL
    $currentURL = Req::url();

    /// Parse the URL to extract the host
    $parsedURL = parse_url($currentURL);

    // Get the host from the parsed URL
    $emailFromAddress = $parsedURL['host'] ?? 'example.com';
    $emailFromAddress = "info@".$emailFromAddress;
  return $this->_check(view("standart.Install.admin",compact('emailFromAddress')), redirect('/install/'));
}

public function final_step(Request $request){
    //Check if is install was maded than redirect to "/" if not move forward
    $check = $this->_check('doit', redirect('/install'));
    if($check !='doit') return $check;

    $websiteName   = $request->input('websitename');
    $name          = $request->input('name');
    $adminuser     = $request->input('adminuser');
    $adminpassword = $request->input('adminpassword');

    $emailFromName     = $request->input('emailFromName');
    $emailFromAddress = $request->input('emailFromAddress');

    // put all the tables
    if(\DB::connection()->getDatabaseName()) {
    $tablesArray = require app_path('Http/Controllers/Install/tables.php');
    foreach($tablesArray as $k=>$v){
      if (!\Schema::hasTable($k)) {

         \Schema::create($k, function (Blueprint $table) use ($v) {
           if(!isset($v["PRIMARY_KEY"]))
              $table->increments('id');

             foreach($v as $k1=>$v1){
                 if($k1!="FOREIGN_KEY" && $k1!="PRIMARY_KEY"){
                        $type= $v1['type']??'';
                      if(isset($v1['length'])){
                         $table->$type($k1,$v1['length'])->nullable();
                      }elseif($type == "timestamps"){
                          $table->$type($k1);
                      }elseif($type == "float"){
                          $table->$type($k1, 12, 2)->nullable();
                      }else{
                       if(isset($v["FOREIGN_KEY"][$k1]))
                          $table->unsignedInteger($k1)->nullable();
                        else
                          $table->$type($k1)->nullable();
                      }
                 }else if($k1=="FOREIGN_KEY"){
                   foreach($v1 as $k2=>$v2){
                      //$table->dropColumn($k2);

                      $table->foreign($k2)
                            ->references('id')
                            ->on($v2)
                            ->onDelete('cascade');
                    }
                 }else if($k1=="PRIMARY_KEY"){
                   foreach($v1 as $v3){
                      $table->unsignedInteger($v3);
                    }
                    //$table->primary($v1);
                    $table->unique($v1);
                 }
               }
            });
      }
    }

    // add the content for table users
    $password ="";
    if (\Schema::hasTable('users')) {
        $get = \DB::table('users')->get();
        if(count($get)==0){
            $password = !empty($adminpassword)? $adminpassword : \Wh::get_random(20);

           \DB::table('users')->insert(['name'=>$name, 'email'=>$adminuser, "user_role"=>"1", "password"=>bcrypt($password),'unicid'=>\Wh::get_random(50)]);

        }
     }

    // add the content for table role
    if (\Schema::hasTable('role')) {
        $get_r = \DB::table('role')->get();
        if(count($get_r)==0){
           \DB::table('role')->insert(['role_name'=>'admin',       "role_description"=>"This is administration" ]);
           \DB::table('role')->insert(['role_name'=>'subscribers', "role_description"=>"This is administration" ]);
           \DB::table('role')->insert(['role_name'=>'editor',      "role_description"=>"This user can only edit or add products" ]);
         }
    }

    // install the content for the others tables
    $this->readfile("settings");
    $this->readfile("role");
    $this->readfile("shippcountry");
    $this->readfile("page");
    $this->readfile("product");
    $this->readfile("categories");
    $this->readfile("fields");
    $this->readfile("suggestions");
    $this->readfile("product_meta");
    $this->readfile("credential");

   if (\Schema::hasTable('settings')) {

    Settings::where('param', '_main_options_')->update(
          [ 'value'  => '',
            'value1' => '{"_media_crop":"yes","_media_width":"255","_media_height":"383","admin_mail":"support@'.\Wh::url_s().'","_website_url_":"'.url("/").'","_site_title_":"'.$websiteName.'","_metad_":"'.$websiteName.'","_metak_":"'.$websiteName.'","_additional_price":null,"_additional_type":null,"_pageHome_":"14","_checkout_termandcondition_":"","_logo_":"DDOkVlbU8ejzROHzKPRIoJFfi.png","_favicon_":"mtsS5sA9hGz3imcLGkPZy5rE7.png"}',
            'value2' => '' ]);
    }

    if (\Schema::hasTable('settings')) {

    \DB::table('email_settings')->insert(
          [ 'driver'       => 'sendmail',
            'from_name'    => $emailFromName,
            'from_address' => $emailFromAddress,
            'host'         => 'smtp.mailgun.org',
            'port'         => '587',
            'encryption'   => 'tls',
            'username'     => '',
            'password'     => '', ]);
    }

   try{
      //this part is for ads theme
      if(\File::exists(base_path('platform/Themes/Advertise/App/Services/SetupService.php'))) {
        $adsService = new \Platform\Themes\Advertise\App\Services\SetupService();
        $adsService->importContent();
      }
    }catch (\Exception $e){}

$message =  "<h2>This is your data for the Admin Dashboard:</h2>
            <p>
               Login: <strong>$adminuser</strong><br />
               Password: <strong>*****</strong><br /><br />
             </p>
             ";
$dataSession="<?php
return ['SESSION_DRIVER'=>'cookie'];";

    try{
     \File::put(base_path() . '/config/sessionsConfig.php', $dataSession);
    } catch (\Exception $e) {}

     \Wh::get_by_curl("http://ecommercecms.org/json/new?url=".url("/"),"not");
         setcookie('lang', "en", time() + (86400 * 100), "/");

     return view("standart.Install.finish",['message'=>$message]);
  }
}

private function readfile($table_name=""){
     if (\Schema::hasTable($table_name)) {
            $get_r = \DB::table($table_name)->get();

            $directory = app_path("content/".$table_name.".php");
            $file_data =  File::exists($directory)? require $directory : [];

            if(count($get_r)==0){
             foreach($file_data as $v){
                 \DB::table($table_name)->insert($v);
              }
            }
       }
 }

    /**
     * check if is setup allow if not redirect
     */
 private function _check($ret1 = "", $ret2 = "", $table="users"){

    try {
        $pdo = \DB::connection()->getPdo();
        $dat= \Wh::getSettings('_install_');
        if($dat=="completed" || \Schema::hasTable($table)) {
            return redirect('/');
         }else{
             return $ret1;
         }

      } catch (\Exception $e) {

          return $ret2;
       }
 }

/**********ADS Content********************/
// prepare data for the addvertise



/**********End ADS Content********************/

public function get_content(){
     return "";
    $tableName = 'credential';
    // Get the columns of the table
    $columns = \Illuminate\Support\Facades\Schema::getColumnListing($tableName);
    // Remove the 'id' column if it exists
    $columns = array_diff($columns, ['id','updated_at','created_at']);
    // Fetch the data from the database
    $data = \DB::table($tableName)->get($columns);
    // Initialize an array to store the formatted data
    $formattedData = [];
    // Iterate over the data and format it
    echo "[<br />";
    foreach ($data as $row) {
         echo  "[";
            foreach ($columns as $column) {
             echo  "'".$column."'=>'".$row->$column."',";
            }
        echo  "],<br />";
    }
    echo "]<br />";
 }



 protected function get_database_structure(){
        exit();
      /*
        $tables =  ['f_author',
                      'f_cart',
                      'f_colectmail',
                      'f_comments',
                      'f_country',
                      'f_coupon',
                      'f_coupon_applied',
                      'f_gallery',
                      'f_categories',
                      'f_orders',
                      'f_page',
                      'f_product',
                      'f_role',
                      'f_sessions',
                      'f_settings',
                      'f_shiping',
                      'f_shippcountry',
                      'f_uploads',
                      'f_usermeta',
                      'f_users',
                      'f_visits',
                      'f_wishlist',
                    ];

    foreach($tables as $table){
        $columns = \DB::select('show columns from ' . $table);

       echo '"'.str_replace("f_","",$table).'"=>[<br />';
                  foreach ($columns as $value) {
                   if($value->Field !='id'){
                    $split = explode("(", $value->Type);
                    $t1=$split[0];
                    $t2=str_replace(")","",@$split[1]);
                    //echo $t1;
                    if($t1 =="int"){
                       $type = $t2<=6 ?  '"type"=>"smallInteger"' : '"type"=>"integer"';
                    }elseif($t1 =="varchar"){
                        $type =  '"type"=>"string","length"=>'.$t2;
                    }elseif($t1 =="text"){
                        $type =  '"type"=>"text"' ;
                    }elseif($t1 =="float"){
                         $type =  '"type"=>"float"' ;
                    }elseif($t1 =="datetime" || $value->Type =="timestamp" || $value->Type =="date"){
                         $type =  '"type"=>"dateTime"' ;
                    }elseif($t1 =="json"){
                         $type =  '"type"=>"json"' ;
                    }elseif($t1 =="longtext"){
                         $type =  '"type"=>"longtext"' ;
                    }


                      echo '&nbsp;&nbsp;&nbsp;&nbsp; "'.$value->Field.'"=>['.$type.'],<br />';
                  }
                 }
         echo '],<br /><br />';
  }
        return ;*/
}


}
