<?php

namespace App\Http\Controllers;

 
use Illuminate\Support\Facades\Auth;
use App\Modules\Orders;
use App\Http\Controllers\Controller;
use App\Http\Services\CartService; 

/**
 * OrdersController
 *
 * @author Corneli F.
 */
class OrdersController extends Controller {
    //put your code here
    
    public function viewOrder($param = "")
    {
        // Extract parameters from the array with default values
        $params= preg_replace("/[^a-zA-Z0-9_\/]+/", "", $param);
        $paramArr = explode('/',$params);
        
        $id        = $paramArr[0] ?? null;
        $secretcod = $paramArr[1] ?? null;
        
         // Set the page configuration
        \Config::set('page', 'orders');
        
        // Determine the condition based on user authentication and input parameters
        if (Auth::check() && (empty($id) || $id === "n")) {
              // Fetch orders based on the determined condition
            $orders = Orders::where("user_id", \Wh::id_user())->orderBy("id","desc")->paginate(60);
            // Return the view with order data
        } else {
            $orders = Orders::where([['id', '=', $id], ['secretnr', '=', $secretcod]])->first();
            $cart   = !empty($orders) ? CartService::getCart(4, $orders->id) : null;
        }
     
        return view('theme::vieworder', ['order' => $orders??[], 'cart' => $cart??null ]);
    }
}
