<?php

namespace App\Http\Controllers;
use App\Modules\Categories;
use App\Modules\Page;
use Illuminate\Http\Request;
 
class PostsController extends Controller {
 
  public function index($params = null) {
    
    if(empty($params))
       return view('standart.404');
     
     $array_cpu = explode('/', $params);       
     $cpu       = end($array_cpu);
     $type      = $array_cpu[0]??'';
     
     $cat  ='';
     if(count($array_cpu)>1){
       $cat  = Categories::where('cpu',$cpu)->first();
       $rows = $cat?->descendantPages()->paginate(20);
       \Config::set('catID', $cat->id??'0');
     }
     
     if(empty($cat)){
       $rows = Page::where('type',$type)->paginate(20);
      }
     
     
     if(count($rows) < 1 || $type =='emails' || $type =='pages'){
      return view('standart.404');
     } 
     \Config::set('page', 'postCat');
     
     $meta = $cat;
     $template= view()->exists('theme::posts') ? 'theme::posts' : 'standart.posts';
     
     return view($template,  compact('rows','cat','type','meta'));
  }
    
    
  public function search(Request $request) {
    $search = $request->get("s",'');
    $cat    = $request->get("cat",'');
    $mode   = $request->get("mode",'');
    $type   = 'posts';
     
    if(!empty($cat)){
       $cat  = Categories::where('cpu',$cpu)->first();
       $rows = $cat?->descendantPages() ;
       \Config::set('catID', $cat->id??'0');
    }else{
       $rows = Page::where('type',$type); 
    } 
     
       $rows = $rows->where(function ($query ) use ($search) {
                        $query->where('title', 'like', '%'.$search.'%')
                              ->orWhere('text', 'like', '%'.$search.'%') ;    
                        })->paginate(20);
 

    if($mode == 'ajax'){
      $template= view()->exists('theme::searchPosts') ? 'theme::searchPosts' : 'standart.searchPosts';
    }else{
      $template=  'theme::posts';
    }

    \Config::set('page', 'postSearch');  

    return view($template,  compact('rows','cat','type','search'));
  } 
    
    
/**
 * This will be for single post
 */    
    public function single($params = null) {
       if(empty($params))
          return view('standart.404') ;

       $array_cpu = explode('/', $params);
       $cpu       = end($array_cpu);
       $type      = $array_cpu[0]??'';

       $page = Page::where('cpu',$cpu)->where('type',$type)->first();

       if(empty($page)) 
          return view('standart.404');

       \Config::set('postID', $page->id);
       \Config::set('page', 'postSingle');
       
       $template= view()->exists('theme::posts') ? 'theme::posts' : 'standart.posts';
       
       return view($template, ['page' => $page, "meta"=>$page, "content"=>shortCode($page->text), "type" => $type]);
    }  
}