<?php
namespace App\Http\Controllers;

use Illuminate\Http\Request;
 
class WajaxController extends Controller
{
    /**
     * ajax_function.
     *
     * @return \Illuminate\Http\Response
     */
     public function index(Request $request)
    {
       
        // Extract the action from the request, sanitizing it
        $action  = cleanString($request->input('action'));
        $config  = config("app.ajax");
        $allData = \Wh::mergeAllConfig($config, "ajax");
        
        if (isset($allData[$action])){
            $instance = app($allData[$action]);
            if (method_exists($instance, $action))   
              return $instance->$action($request);
        }
            
        /*
          // Check if the action is valid and exists in any of the controllers
        foreach ($config as $methodName => $controllerInstance) {
            if (method_exists($controllerInstance, $methodName)) {
                // Invoke the action on the corresponding controller
                return $controllerInstance->$methodName($request);
            }
        }*/
    
        // If the action is not found in any controller, return an error message
        return "Something is not all right, please check again!";
    }

    
}
