<?php

namespace App\Http\Middleware;

use Closure;

class ForceHttps
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
      try {   
        if(defined('_MAIN_OPTIONS_')){
            $app_url = mainOption("_website_url_"); 
            if ( !$request->secure() && substr($app_url, 0, 8) === 'https://' ) {
                return redirect()->secure($request->getRequestUri());
            }
        }
       } catch (\Exception $e) { }  
       
        return $next($request);
    }
}