<?php namespace App\Http\Services;
 
use App\Modules\CouponApplied;
use App\Modules\Cart;
use App\Modules\Shipping;
use App\Dto\CartDTO;
use App\Dto\CouponAppliedDTO;
/**
 * Description of CartService
 *
 * @author Corneli F.
 */
class CartService {
    //put your code here
 // use like CartService::getSession();
  public static function getSession(){
        $cookie = preg_replace("/[^a-zA-Z0-9_]+/", "", $_COOKIE["tmp_user_idd"]);  //@\Cookie::get('tmp_user_id');
        $rand =  \Wh::get_random(20);

        if(empty($cookie)){
            setcookie("tmp_user_idd", $rand, strtotime( '+100 days' ), "/" );
        }

       return !empty($cookie) ? $cookie : $rand;
    }   
    
    
 public function checkShipping($countryId = ''){
    $query = Shipping::where('hide_show', '!=', '3');
    if (!empty($countryId)) {
        $query->where(function ($q) use ($countryId){
            $query->where('country', 0)
                  ->orWhere('country', $countryId);
        }); 

    } else {
        $query->where('country', 0);
    }

    return $query->count() > 0;
 }
 
 
 public static function getCart($typeCart=2, $orderId= ""){
    $where = [ (empty($orderId) ? ['user_id', self::getSession()] : ['orderid', $orderId]),
               ['typecart', $typeCart]
             ];
            
    $cart = Cart::orderBy('product_id')
                       ->where($where);
    
    if($typeCart == 2) {
      $cart->whereHas('product', function ($query)  {
             $query->where('hide', '>', 0)->where('qtu', '>', 0);
          });
     }

    return $cart->get();
}
 
 
  public function getCartTotal($shippingId=0){
    $productsCost = 0;
    $weight = 0;
     
    foreach ($this->getCart() as $item) {
        $product = $item->productInfo();
        if ($product->qtu > 0) {
            $productsCost += round($product->price * $item->qty, 2);
            $weight       += !empty($product->weight) ? $product->weight ?? 0 : $item->weight;
        }
    }
     
    $coupon       = $this->getAppliedCoupon($productsCost);
    
    $shippingCost = !empty($shippingId) ? $this->shippingCost($shippingId, $coupon->productsCost):0;
    
    $cartDto      = new CartDTO(); 
    
    $cartDto->setData($coupon->productsCost, 
                      $shippingCost, 
                     ($coupon->productsCost + $shippingCost), 
                      $weight, 
                      $shippingId, 
                      $coupon->couponName, 
                      $coupon->couponAmount);
     return $cartDto; 
 }
 
 public function shippingCost($shippingId, $productsCost=0){
     if ($shippingId == 0) {
            return 0;
        }

        $shipping = Shipping::find($shippingId);    
     if ($shipping) {
        $freeDelivery = floatval($shipping->free_delivery ?? 0); // the amount of total shipping to get free delivery
        // if in the admin indicate that users can have a free delivery from amount of 1000 than we check it here
        if ($freeDelivery > 0 && $freeDelivery <= $productsCost ) {
            return 0;
        }
        
        $typeShipping = $shipping->type_shipping ?? 0;
        $price        = $shipping->price ?? 0;
        $price        = $typeShipping == 3 ? ($productsCost * $price) / 100 : $price;
        return round($price, 2);
     }
     
    return 0;
  }
  
  
 public function getAppliedCoupon($productsCost = 0) {
       $coupon = CouponApplied:: where('user_id', \Wh::get_sesion())
                                ->where('order_id', '1')
                                ->first()?->coupon();
       
    $couponAppliedDTO = new CouponAppliedDTO('',0, $productsCost); 
    
    if (!empty($coupon) && $productsCost > 0) {
        $couponAppliedDTO->couponAmount  = ($coupon->type == "fix" && $coupon->amount < $productsCost) ? $coupon->amount :
                                                 (($productsCost * $coupon->amount) / 100);
        
        $couponAppliedDTO->productsCost  = round($productsCost - $couponAppliedDTO->couponAmount, 2);
        $couponAppliedDTO->couponName    = $coupon->title;
    }
    return $couponAppliedDTO;
  }
 
}
