<?php

namespace App\Modules;

use Illuminate\Database\Eloquent\Model;
use App\Modules\Product;
use App\Modules\ProductMeta;

class Cart extends Model
{
      protected $table = 'cart';
      protected $guarded = ['id'];
     
     
      public function product()
      {
         return $this->hasOne(Product::class, 'id', 'product_id') ;
      }
      
      public function productInfo()
      {
        $product = $this->hasOne(Product::class, 'id', 'product_id')->first();
        
        return !empty($product) ? $product->getInfoCart($this->options_id) : [];
      }
      
      public function meta()
      {
        return $this->hasMany(ProductMeta::class, 'options_id', 'param');
      }
}
