<?php
 
namespace App\Modules;

use App\Modules\User;
use App\Modules\Comments;
use App\Modules\Product;
use Illuminate\Database\Eloquent\Model;
/**
 * Description of Conversations
 *
 * @author DrCorneliu
 */
class Conversations extends Model{
    //put your code here
    protected $table = 'conversations';
    protected $guarded = ['id'];
    protected $fillable = ['user1id', 'user2id', 'product_id'];
    public $timestamps = false;
    
    public function user1() 
    {
        return $this->belongsTo(User::class, 'user1id')->select("name","email","unicid")->first();
    }

    public function user2()
    {
        return $this->belongsTo(User::class, 'user2id')->select("name","email","unicid")->first();
    }
     
     public function secondUser() 
    { 
      $userId = \Wh::id_user();
      return  $userId == $this->user1id ? $this->belongsTo(User::class, 'user2id')->select("name","email","unicid")->first() 
                                       : $this->belongsTo(User::class, 'user1id')->select("name","email","unicid")->first();
     }
    
     public function secondUserName() 
    { 
      $user = $this->secondUser();
      return !empty($user?->name) ? $user?->name 
                                  : (explode('@', $user?->email)[0] ?? '');
    }
    
    public function secondUserUnicID() {
        return $this->secondUser()?->unicid;
    }
    
    public function product()
    {
        return $this->belongsTo(Product::class, 'product_id');
    }

    public function comments()
    {
        return $this->hasMany(Comments::class, "conversation_id" , "id");
    }
     
     public function lastComment()
    {
        return $this->hasMany(Comments::class, "conversation_id" , "id")->orderBy("id","desc")->select("comment","created_at")->first() ;
    }
    
     public function hasNewComments()
    {   $userId = \Wh::id_user();
        return $this->hasMany(Comments::class, "conversation_id" , "id")->where("status","!=","2")->where("id_user","!=",$userId)->count();
    }
}
