<?php

namespace App\Modules;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Session;
use Illuminate\Contracts\Auth\Authenticatable;
use Illuminate\Auth\Authenticatable as AuthenticableTrait;
use App\Modules\Usermeta;
use App\Modules\Conversations;
use App\Modules\Comments;


class User extends Model implements Authenticatable {

    use AuthenticableTrait;
    private $have_role;
    protected $table = 'users';
    protected $guarded = ['id'];
    public $timestamps = true;


 function replace_sesion_with_id($id="") {
     if(!empty($id)){
         $getses=  Session::get('tmp_user_id');
         Session::forget('tmp_user_id');
         Session::put('tmp_user_id',  $id);
          \DB::table('cart')->where('user_id', $getses)
            ->update(['user_id' =>$id]);
     }
 }

   //'checkout'=>'checkout'

   public function meta()
      {
        return $this->hasMany(Usermeta::class, 'user_id', 'id');
      }
      
   public function getMetaByKey($param="")
      {
        return $this->hasOne(Usermeta::class, 'user_id', 'id')->where("meta_key", $param)->first();
      }    
    
   public function getMetaValueByKey($param="")
      {
        return $this->hasOne(Usermeta::class, 'user_id', 'id')->select("meta_value")->where("meta_key", $param)->first()?->meta_value;
      }  
      
 /**
    * Description : check user role which type of users login
    */
    public function role() {
        //return $this->hasOne('App\Role', 'id', 'user_role');
       $return=  Self::where('users.id', \Wh::id_user())
                    ->Join('role', 'users.user_role', '=', 'role.id')
                    ->select('role.role_name')
                    ->first();

        return empty($return)? false : $return->role_name;
    }
    /**
     * Description : check has role if user has any role assigned
     */
    public function hasRole($roles){

        // Check if the user is a root account
        if($this->role() === false){
            return false;
        }

        if($this->role() == 'admin') {
            return true;
         }


        if(is_array($roles)){
            foreach($roles as $need_role){
                if($this->checkIfUserHasRole($need_role)) {
                    return true;
                }
            }
        } else{
            return $this->checkIfUserHasRole($roles);
        }
        return false;
    }

    /**
     * Description : check role from database
     */
    private function getUserRole()
    {
        return $this->role();
    }

    //
    private function checkIfUserHasRole($need_role)
    {
        return (strtolower($need_role)==strtolower($this->role())) ? true : false;
    }

  
     public function conversations()
    {
        return $this->hasMany(Conversations::class, 'user1id')->orWhere('user2id', $this->id);
    }

    public function comments()
    {
        return $this->hasMany(Comments::class)->where("type","!=","rev");
    }
    
    public function reviews()
    {
        return $this->hasMany(Comments::class,"id_post")->where("type", "rev");
    }
    
    public function userName()
    {
        return !empty($this->name) ? $this->name 
                                   : (explode('@', $this->email)[0] ?? ''); 
    }
    
    public function companyName()
    {
        return $this->cname ; 
    }
    
    public function icon()
    {
        return $this->icon ; 
    }
    
    /*
    public function unreadMessages()
    { 
        return Comments::where('recipient_id', $this->id)
            ->where('is_read', false)
            ->get();
    }*/



}
