<?php

namespace App\Modules;
use Illuminate\Database\Eloquent\Model;

class Usermeta extends Model {
   
    protected $table = 'usermeta';
    protected $guarded = ['id'];
    public $timestamps = false;
    protected $fillable = ['user_id', 'meta_key', 'meta_value'];
   
    
  public static function updateOrCreateByKey($uID, $metakey, $metaValue= ""){
       Self::updateOrCreate(
                 ['user_id' => $uID, 'meta_key' => $metakey],
                 ['meta_value'=> toJson($metaValue)]
           ); 
  }   
    
  public static function updateOrCreateMeta($uID=0, $data=[], $metakey=""){
       if(empty($data)) return ;
       
       $meta      = (new Usermeta)->getMeta($uID, "meta_value", $metakey, "full"); 
       $metaValue = !empty($meta)? fromJson($meta->meta_value, true): [];
       
       foreach($data as $k=>$v){
        $metaValue[$k]=$v;
       }
     
       Self::updateOrCreate(
                 ['id' => $meta->id??0],
                 ['user_id'=>$uID,
                  "meta_key" => $metakey ?? '', 
                  'meta_value'=> toJson($metaValue)
                  ]
                 ); 
   }  
       
    public function getMeta($uID=0, $field="meta_value", $metakey = "", $return = ""){
        $get = Self:: where('user_id', $uID);
        $get = !empty($metakey)? $get->where("meta_key", $metakey)->select($field,"id")->first() : 
                                $get->select($field, "id")->first();
        if(!empty($return))
                   return $get;
                    
        return $field == "meta_value" ? fromJson($get->meta_value??'') : $get->$field??'';
     }
    
     public static function setMetaValueByKey($uID=0, $metakey="", $value=''){
       if(empty($value)) return ;
       
       Self::updateOrCreate(
                 ['user_id' => $uID, 'meta_key'=>$metakey],
                 ["user_id"=>$uID,
                  "meta_key" => $metakey ?? '', 
                  'meta_value'=>$value
                  ]
                 ); 
     }
     
    public function getMetaByKey($uID=0,  $metakey="" ){
      $meta = Self:: where('user_id', $uID)->where("meta_key", $metakey)->select("meta_value")->first();
      return !empty($meta) ? $meta->meta_value : '' ;
    }
    
}