<?php
namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;

class AllowedFileExtension implements Rule
{
    protected $allowedExtensions;
    protected $message;

    public function __construct(array $allowedExtensions, $message=null)
    {
        $this->allowedExtensions = $allowedExtensions;
        $this->message           = $message;
    }

    public function passes($attribute, $value)
    {
        // Check if the uploaded file extension is in the allowed extensions array
        $extension = strtolower($value->getClientOriginalExtension());
        return in_array($extension, $this->allowedExtensions);
    }

    public function message()
    {
        return !empty($this->message)? $this->message : _l('Only DOC, DOCX, PDF, RTF, or ODT files are allowed');
    }
}