<?php
return [

/**
 * @urlsettings
 * 
 * Url to settings, enter it if you have one, if not leave empty
 * 
 * /admin/payment/settings/Strip - Url to settings option of module   
 * 
 */
'urlSettings'=>'/admin/payment/settings/BankTransfer',

/**
 * Any description of your theme or module
 */
'description'=>_l("Directly payment into bank account."),

/**
 * @run
 * Accept only one line 
 * Execute only when activate the module
 * 'run'=>'Controllers\SomeControler@run',
 */
'run'=>'Controllers\BankTransfer@activate',



/**
 * @menu
 *  This part will be the menu for theme,If you want to registre any menu just registr it here
 * Example: 
 * 'menu'=>[  'topMenuLogin'=>_l('Top menu when user is login'),
              'topMenuNOTLogin'=>_l('Top menu when user is NOT login'),
              'main'=>_l('Main menu'),
              'footer'=>_l('Footer Menu'),
           ],
  
* 
* and get it in your theme is just like:
* 
* <ul>{!! \Wh::get_menu("topMenuLogin") !!}</ul>
* OR
* <ul>{!! \Wh::get_menu("main") !!}</ul>          
 */
'menu'=> '',

/**
 * @hooks
 * In this part are hooks, theo hooks are in some parts of theme where you want to run 
 * some function code when people access that page
 * for example:  in some part of your .blade.php is this code
 * {!! \Wh::hooks('afterCheckoutButton') !!} 
 * afterCheckoutButton- is hook name, some of them are default some of them are 
 * named by you(the creator of theme)
 * how to declare:
 * 
 * 'hooks'=>['afterCheckoutButton'=>'Controllers\Banner@payment',
 *           'header'=>'Controllers\Header@js_css',
 *           .....
 * ],
 * 
 * Controllers\Banner - is path to your controller what is in theme or Module
 * @- is separator
 * payment- is method from you controller what should return something
 */
'hooks'=>'',
 

/**
 * @payment
 * 
 * if you set this variable that's indicate that this is a pyment module
 * in this controller make sure you have this 3 functions
 * 
 * public function front($data=[]){} //required
 * public function admin($data=[]){} // not required if you want to implement your own setting payment page
 * public function executePayment($data=[]){} //required
 * 
 * 'payment'=>'Controllers\BankTransfer',
 *  
 * Controllers\BankTransfer - Path to your controller  
 */
 
'payment' => 'Controllers\BankTransfer',  

/**
 * @shortcode
 * In this part are shortcode, the short code are used in page for example:
 *  
 * [shortcode1]  -
 * [shortcode2 id=5]
 * 
 * how to declare:
 * 'shortcode'=>['shortcode1'=>'Controllers\Shortcode@shortcode1',
 *               'shortcode2'=>'Controllers\Shortcode@shortcode2',
 *               .....
 * ],
 * 
 * Controllers\Shortcode - is path to your controller what is in theme or Module
 * @- is separator
 * shortcode1- is method from you controller what should return something
 */
'shortcode'=>'',

/**
 * @adminmenu
 * 
 * 'adminmenu'=>[
          80 => ['#'=> _l('General Settings'),
                 '/admin/general-settings'=> _l('General Settings'),
                 '/admin/menu'=> _l('Menu'),
                 '/admin/modules'=> _l('Modules'),
               ],
        ]    
 * 
 */
'adminmenu'=>'',


];