<?php namespace Platform\Modules\Paypal\Controllers;

use App\Http\Controllers\Controller;
use App\Http\Contract\PaymentModule;
use App\Dto\PaymentResponseDTO;
use App\Dto\OrderPaymentDTO;
use App\Http\Services\CredentialServices; 

/**
 * Paypal
 *
 * Controller to house all the functionality directly
 * related to the Paypal.
 */
 
class Paypal extends Controller implements PaymentModule
{
   
   
   public function run(){
             
   }  
    
    
     /**
     * This will show to checkout page
     */
     #[\Override]
     public function front($data=[]){
      $credentials = (new CredentialServices())->getFirst("Paypal"); 
      $currency = CURENCY_CODE_KEY;
      $clientId = $credentials->keyp;
      return view("Paypal::frontend", compact('data', 'clientId', 'currency'));  
     }  
    
    
     /**
     * This will bee the admin option
     */
     #[\Override]
     public function admin($data=[]){
        return view("Paypal::admin", compact('data'));    
     } 
     
     
    /**
     * This will bee the final method what make the payment
     */
    #[\Override]
    public function makePayment(OrderPaymentDTO $orderDto){
      return new PaymentResponseDTO(url('/paypal/show-method/'.$orderDto->orderUnicId),"ok","popup"); 
    }
     
 }