<?php namespace Platform\Modules\Stripe\Controllers;


use App\Http\Controllers\Controller;
use App\Http\Contract\PaymentModule;
use App\Dto\PaymentResponseDTO;
use App\Dto\OrderPaymentDTO;
use \App\Http\Services\PaymentService;
use App\Http\Services\CredentialServices;
use App\Modules\Orders;
require __DIR__ . "/../vendor/autoload.php";

/**
 * Stripe
 *
 * Controller to house all the functionality directly
 * related to the Stripe.
 */

class Stripe extends Controller implements PaymentModule
{

    public function run(){

    }

    /**
     * This will show to checkout page
     */
     #[\Override]
     public function front($data=[]){

       return view("Stripe::frontend", compact('data'));
     }


    /**
     * This will bee the admin option
     */
     #[\Override]
     public function admin($data=[]){
        return view("Stripe::admin", compact('data'));
     }

     /**
     * This will bee the final method what make the payment
     */
    #[\Override]
    public function makePayment(OrderPaymentDTO $orderDto){
         /*
         $token = $orderDto->request['stripe_token'] ?? '';
          if (empty($token)) {
             return new PaymentResponseDTO("","Error: No Token");
          }*/

        $credential = (new CredentialServices())->getFirst("Stripe");
        $stripe = new \Stripe\StripeClient($credential->getKeyS());

       try {
         $checkoutSession = $stripe->checkout->sessions->create([
                           'line_items' => [
                               ['price_data' => [
                                    'product_data' => [
                                        'name' => _l("Order")." ID: ".$orderDto->orderId,
                                        //'images' => url('/public/img/'.mainOption("_logo_")),
                                    ],
                                    'currency' => $orderDto->currency,
                                    'unit_amount' => $orderDto->total * 100,
                                ],
                                'quantity' => 1,
                              ],
                            ],
                           'mode' => 'payment',
                           'success_url' => url('/stripe/execute-payment/'.$orderDto->orderUnicId."/".$orderDto->total),
                           'cancel_url' => url('/steps/checkout/'),
                          ]);
             return new PaymentResponseDTO($checkoutSession->url);
          } catch (\Stripe\Exception\InvalidRequestException $e) {
             return new PaymentResponseDTO('','Error: ' . $e->getMessage());
        }
    }

    public function executePayment($unicId='', $total=0){
            $order = Orders::where('secretnr',$unicId)->first();
            if($order) {
              $orderDto                = new OrderPaymentDTO();
              $orderDto->orderId       = $order->id;
              $orderDto->payd          = $total ;
              $orderDto->status        = "processing";
              $orderDto->paymentStatus = 'completed';
              $orderDto->message       = 'completed';
              $payment = (new PaymentService())->successPayment($orderDto);
              return redirect($payment->getPath());
            }else{
              return redirect('/steps/checkout/');
            }

    }
}
