@extends('admin.layouts.default')

@section('title', 'Currencies')
@section('content')
 
<div class="col-md-12">
 <div class="card">
    
     <div class="header">
          <h4 class="title">{{ _l('Currencies') }}</h4>
     </div>
  <div class="add_new_top">  
    <form action="{{URL::to('/')}}/admin/currencies/store" method="post">
          <input type="hidden" name="_token" value="{{ csrf_token() }}"/>
          <input type="hidden" name="action" value="new"/>
          
           <div class="col-md-2">
             <label>{{ _l('Main Currency') }} <br />
               <select name="default" class="form-control"> 
                  <option value="no">{{ _l('Not') }}</option>
                  <option value="yes">{{ _l('Yes') }}</option>
               </select>
             </label>
           </div>
           <div class="col-md-2">
             <label>{{ _l('Currency') }} <br />
               <select name="currency" class="form-control"> 
                 @foreach($currencies as $code=>$sign)
                  <option value="{{$code}}">{{$code}}</option>
                 @endforeach
               </select>
             </label>
          </div>
           
          <div class="col-md-2">
             <label>{{ _l('Position') }} <br />
               <select name="type" class="form-control"> 
                  <option value="left">{{ _l('Left') }}</option>
                  <option value="right">{{ _l('Right') }}</option>
                  <option value="left with space">{{ _l('Left with space') }}</option>
                  <option value="right with space">{{ _l('Right with space') }}</option>
               </select>
             </label>
          </div>
          
         <div class="col-md-2">
           <label>{{ _l('Rate') }}<br />
             <input type="text" name="rate" class="form-control" value="1"/>
            </label>
          </div>
        <div class="col-md-1"><br />
           <button type="submit" class="btn btn_small">{{ _l('Add new one') }}</button>  
        </div>
        
     <div class="clear"></div>
    </form> 
   </div>   
          
     <div class="clear"></div>
      <form action="{{URL::to('/')}}/admin/currencies/store" method="post">
       <input type="hidden" name="_token" value="{{ csrf_token() }}"/>
       <input type="hidden" name="action" value="all"/>
       
       <div class="content table-responsive table-full-width">
         <table class="table table-hover table-striped">
             <thead>
                 <th>{{ _l('Main Currency') }}</th>
                 <th>{{ _l('Currency') }}</th>
                 <th>{{ _l('Code') }} </th>
                 <th>{{ _l('Position') }}</th>
                 <th>{{ _l('Rate from default currency') }}</th>
                 <th style="width: 40px"> </th>
                 <th style="width: 40px"> </th>
             </thead>
             <tbody>
                @foreach ($rows as $key=>$val)
                   <tr> 
                     <td>
                        <label> 
                         <input type="radio" name="default" class="checkboxeach" {{ isset($val['default'])&& $val['default'] == "yes" ?  'checked=""' : "" }}  value="{{$key}}"/> 
                        </label>   
                     </td>
                      
                     <td> 
                        {{$key}}
                        <input type="hidden" name="currencies[]" value="{{$key}}"/>
                     </td>
                     <td>{!!$val['code']??''!!}
                        <input type="text" name="{{$key}}[code]" value="{{$val['code']??''}}" />
                     </td>
                     <td>
                      <select name="{{$key}}[type]" class="form-control"> 
                          <option value="left">{{ _l('Left') }}</option>
                          <option value="right" {{($val['type']??'')=='right' ? 'selected=""':''}}>{{ _l('Right') }}</option>
                          <option value="left with space" {{($val['type']??'')=='left with space' ? 'selected=""':''}}>{{ _l('Left with space') }}</option>
                          <option value="right with space" {{($val['type']??'')=='right with space' ? 'selected=""':''}}>{{ _l('Right with space') }}</option>
                       </select>
                     </td>
                       <td>
                        <input type="text" name="{{$key}}[rate]" value="{{$val['rate']??''}}"  />
                      </td>
                      <td> 
                         <a href="{{URL::to('/')}}/admin/currencies/remove/{{$key}}" class="fa_delete" onclick="return confirm('You are sure?') ? true : false;"> </a>
                     </td>
                     <td class="result{{$key}}"></td>
                 </tr>
                @endforeach
             </tbody>
         </table>
         <div class="col-md-12 text-center"> 
           <button type="submit" class="btn btn_small">{{ _l('Update') }}</button>  
        </div>
       </form> 
     </div>
     
    
 </div>
</div>
@stop