@extends('admin.layouts.default')
@section('title', $type)
@section('content')
<div class="col-md-12">
 <div class="card">
  <div class="col-md-6">
     <h3> {{$type}}</h3>
  </div>
 
<div class="col-md-12"> 
<form action="{{URL::to('/')}}/admin/fields/add" method="post">
 <input type="hidden" name="_token" value="{{ csrf_token() }}"/>
 <input type="hidden" name="type" value="{{$type}}"/>
 <input type="hidden" name="related_id" value="{{$relatedId}}"/>

<table class="table table-hover table-striped">
<thead>
 <tr>
    <th> {{_l('Enable')}} </th>
    <th> {{_l('Required')}} </th>
    <th> {{_l('One per line')}} </th> 
    <th> {{_l('Show Title')}} </th> 
    <th> {{_l('Title')}} </th>
    <th> {{_l('Length')}} </th>
    <th> {{_l('Box Type')}} </th>
    <th> </th>
 </tr>
</thead>
<tbody>
 <tr>
    <td>
     <label class="switch">
      <input type="checkbox" class="checkbox" name="enable" value="yes" checked=""/>
      <span class="slider round"></span>
     </label>
    </td>
    <td>
     <label class="switch">
      <input type="checkbox" class="checkbox" name="required" value="yes" checked=""/>
      <span class="slider round"></span>
     </label>
    </td>
    <td>
     <label class="switch">
      <input type="checkbox" class="checkbox" name="one_per_line" value="yes" />
      <span class="slider round"></span>
     </label>
    </td>  
    <td>
     <label class="switch">
      <input type="checkbox" class="checkbox" name="show_title" value="yes" checked=""/>
      <span class="slider round"></span>
     </label>
    </td> 
    <td>
      <label class="blockMultilang" >
         @foreach(\Wh::langArray() as $langVal)
           <span class="inputLang"> {{$langVal}} </span>  
           <input type="text" class="form-control" name="title[{{$langVal}}]" value=""  />
         @endforeach
      </label>
    </td>
     <td>
       <select class="form-control" name="length">
         <option value="12">{{_l('Full')}}</option>
         <option value="6">{{_l('Half')}}</option>
         <option value="4">3 {{_l('per line')}}</option>
         <option value="3">4 {{_l('per line')}}</option>
       </select>
     </td>
     <td {!! !empty($fields)  && !in_array("type_box", $fields)  ? "style='display:none;'" : "" !!}>
       <select class="form-control" name="type_box">
            @foreach((config('app.suggestions') ?? []) as $suggestion)
               <option value="{{$suggestion}}" >{{_l(ucfirst($suggestion))}}</option>
            @endforeach
       </select>
     </td> 
     <td>
       <input type="submit" class="btn btn_small" value=" {{ _l('Add') }}"/>
     </td>
   </tr>

</tbody>
</table>
</form>
 </div>  
   <form action="{{URL::to('/')}}/admin/fields/store" method="post">
       <input type="hidden" name="_token" value="{{ csrf_token() }}"/>
       <input type="hidden" name="type" value="{{$type}}"/>
       <input type="hidden" name="relatedId" value="{{$relatedId}}"/>
       
        
     <div class="height10px"></div>
       <div class="content table-responsive table-full-width">
          <table class="table table-hover table-striped table-sorted" >
                <thead>
                 <tr>
                    <th style="width: 15px;"></th>
                    <th> {{_l('Enable')}} </th>
                    <th> {{_l('Required')}} </th>
                    <th> {{_l('One per line')}} </th> 
                    <th> {{_l('Show Title')}} </th> 
                    <th> {{_l('Title')}} </th>
                    <th> {{_l('Length')}} </th>
                    <th> {{_l('Box Type')}} </th>
                    <th class="text-center"> {{_l('Suggestion')}} </th>
                    <th style="width: 20px;"> </th>
                 </tr>
              </thead>
              <tbody>
                @foreach($rows as $row)
                  <tr>
                    <td><a href="#" class="fa_move move_bdn"></a></td>
                    <td>
                    <input type="hidden" name="idField[{{$row->id}}]" value="{{$row->id}}"/>
                    <input type="hidden" name="type[{{$row->id}}]" value="{{$row->type}}"/>
                    <input type="hidden" name="related_id[{{$row->id}}]" value="{{$row->related_id}}"/>
                    <input type="hidden" name="position[{{$row->id}}]" value="{{$row->position}}"/>
                     <label class="switch">
                      <input type="checkbox" class="checkbox" name="enable[{{$row->id}}]" value="yes" {{$row->enable=='yes'? 'checked=""' : ''}} />
                      <span class="slider round"></span>
                     </label>
                    </td>
                    <td>
                     <label class="switch">
                      <input type="checkbox" class="checkbox" name="required[{{$row->id}}]" value="yes" {{$row->required=='yes'? 'checked=""' : ''}} />
                      <span class="slider round"></span>
                     </label>
                    </td>
                    <td>
                     <label class="switch">
                      <input type="checkbox" class="checkbox" name="one_per_line[{{$row->id}}]" value="yes" {{$row->one_per_line=='yes'? 'checked=""' : ''}} />
                      <span class="slider round"></span>
                     </label>
                    </td>  
                    <td>
                     <label class="switch">
                      <input type="checkbox" class="checkbox" name="show_title[{{$row->id}}]" value="yes" {{$row->show_title=='yes'? 'checked=""' : ''}} />
                      <span class="slider round"></span>
                     </label>
                    </td> 
                    <td>
                      <label class="blockMultilang">
                         @foreach(\Wh::langArray() as $langVal)
                           <span class="inputLang"> {{$langVal}} </span>  
                           <input type="text" class="form-control" name="title[{{$row->id}}][{{$langVal}}]" value="{{_lang($row->title, $langVal)}}"  />
                         @endforeach
                      </label>
                    </td>
                     <td>
                       <select class="form-control" name="length[{{$row->id}}]">
                         <option value="12">{{_l('Full')}}</option>
                         <option value="6" {{$row->length=='6'? 'selected=""' : ''}}>{{_l('Half')}}</option>
                         <option value="4" {{$row->length=='4'? 'selected=""' : ''}}>3 {{_l('per line')}}</option>
                         <option value="3" {{$row->length=='3'? 'selected=""' : ''}}>4 {{_l('per line')}}</option>
                       </select>
                     </td>
                     <td>
                       <select class="form-control" name="type_box[{{$row->id}}]">
                         @foreach((config('app.suggestions') ?? []) as $suggestion)
                           <option value="{{$suggestion}}" {{$row->type_box==$suggestion? 'selected=""' : ''}}>{{_l(ucfirst($suggestion))}}</option>
                         @endforeach 
                       </select>
                     </td>
                     <td class="text-center">
                       @if($row->type_box == 'countries')
                         <a href="{{url('/admin/setting/countries')}}" >{{_l('Edit')}}</a>
                       @else
                         <a href="#" data-toggle="modal" data-target="#load_ajax_modal" onclick="access_url('{{url('/admin/suggestions-list/'.$row->id.'/'.$row->type)}}','.modal_load_content');">
                          <i class="fa fa-plus-circle"></i> {{_l('Edit')}} 
                        </a>
                       @endif
                     </td>
                      <td class="text-center">
                        <a href="{{url('/admin/fields/remove/'.$row->id)}}" onclick="return confirm('Are you  sure?') ? true : false;" class="fa_delete fa_small delete_ittem"></a> 
                     </td>
                   </tr>
                 @endforeach
             </tbody>
         </table>
       </div>
        <div class="col-md-12 text-center">
          <input type="submit" class="btn btn_small" value=" {{ _l('Update') }}"/>
        </div>
        <div class="height15px"></div>
     </form>
  
   </div>

  </div>
    
@stop