@extends('admin.layouts.default')
@section('title', !empty($page->id)? _l('Edit:')._lang(@$page->title) : _l('Add new one'))
@section('content')
{!! \Wh::sucessSavedMsg() !!}
   <form action="{{URL::to('/')}}/admin/page/save" method="POST"  class="updateFormPage formSave">
     <input type="hidden" name="_token" value="{{ csrf_token() }}">
     <input type="hidden" name="id" value="{{$page->id??''}}">
     <input type="hidden" name="type" value="{{$type}}">
     <input type="hidden" name="lang" value="{{@\Wh::adminLanguageinput()}}">

                     <div class="col-md-{{@$type != "pages" ? "9": "12"}}">
                        <div class="card">
                         @if(!empty($page))
                            {!! \Wh::adminLanguage() !!}
                            @include('admin.layouts.jsEditChanges')

                          @endif

                              <div class="header">
                                <h4 class="title">

                                    @if(!empty($page) )
                                        <a href="{{URL::to('/')}}/page/{{@$page->cpu}}" target="_blank" style="text-decoration: underline;">
                                        {{ "Edit:"._lang($page->title) }}
                                       </a>
                                     @else
                                       {{_l("Create new page")}}
                                     @endif


                                    @if(\Wh::langArray("count")>1 && !empty($page))
                                        <select onchange="if (this.value) window.location.href=this.value" >
                                           <option value="?lang={{@\Wh::adminLanguageinput()}}">Dublicate from:</option>
                                            @foreach(\Wh::langArray() as $langVal)
                                             <option value="{{URL::to('/')}}/admin/page/dublicate/{{$page->id??''}}/{{$langVal}}/{{@\Wh::adminLanguageinput()}}">Dublicate from {{$langVal}}</option>
                                            @endforeach
                                        </select>
                                    @endif
                                </h4>
                              </div>


                            <div class="content">
                                  @if(in_array('enable',$postTypes))
                                    <div  class="col-md-6">
                                      <p>
                                        <label>{{ _l('Enable/Disable') }} </label> <br/>
                                        <input type="checkbox" {{($jsondata['enable']??'')=='enable'? 'checked=""':''}}  name="enable" value="enable">
                                      </p>
                                    </div>
                                    <div class="clearfix"></div>
                                   @endif

                                   <div  class="col-md-6">
                                      <p>
                                        <label>{{ _l('Title') }} </label> <br/>
                                        <input type="text" class="form-control" name="title" value="{{$page->title??''}}">
                                      </p>
                                   </div>

                                  @if(in_array('cpu',$postTypes))
                                   <div  class="col-md-6">
                                      <p>
                                        <label>{{ _l('CPU') }} </label> <br/>
                                        <input type="text" class="form-control" name="cpu" value="{{$page->cpu??''}}">
                                      </p>
                                   </div>
                                   @endif
                                    @if(in_array('sort',$postTypes))
                                   <div  class="col-md-6">
                                      <p>
                                        <label>{{ _l('Order') }} </label> <br/>
                                        <input type="text" class="form-control" name="sort" value="{{$page->sort??''}}">
                                      </p>
                                   </div>
                                   @endif
                                   @if(in_array('metad',$postTypes))
                                   <div  class="col-md-6">
                                      <p>
                                        <label>{{ _l('Meta description') }} </label> <br/>
                                        <input type="text" class="form-control" name="metad" value="{{$jsondata['metad']??''}}">
                                      </p>
                                   </div>
                                  @endif
                                   @if(in_array('metak',$postTypes))
                                   <div  class="col-md-6">
                                      <p>
                                        <label>{{ _l('Meta keyword') }} </label> <br/>
                                        <input type="text" class="form-control" name="metak" value="{{$jsondata['metak']??''}}">
                                      </p>
                                   </div>
                                    @endif
                                   @if(in_array('subject',$postTypes))
                                   <div  class="col-md-6">
                                      <p>
                                        <label>{{ _l('Subject') }} </label> <br/>
                                        <input type="text" class="form-control" name="subject" value="{{$jsondata['subject']??''}}">
                                      </p>
                                   </div>
                                    @endif

                                <div class="height10px"></div>
                                  {!! \Wh::hooks("page_edit_add") !!}
                                <div class="height10px"></div>

                                <div class="col-md-12">
                                   @if($type=="emails")
                                     <h3>{{_l("Replace this short code with your need")}}:</h3><br />
                                     <b>[order_number]</b>  - {{_l("This will show the order number")}} <br />
                                     <b>[products]</b>  - {{_l("Product List")}} <br />
                                     <b>[billing_shiping]</b> - {{_l("Billing information")}} <br />
                                     <b>[order_amount]</b> - {{_l("Total order ammount")}}<br />
                                     <b>[first_name]</b> - {{_l("Billing first name")}} <br />
                                     <b>[last_name]</b> - {{_l("Billing last name")}} <br /><br />
                                     {{_l("This is for new account and reset password")}}<br />
                                     <b>[email]</b> - {{_l("User Login(email)")}}<br />
                                     <b>[reseturl]</b> - {{_l("Reset Link (for reset password)")}}<br />
                                     <b>[email_verification_url]</b> - {{_l("verify email url when create new account")}}<br />
                                    @endif



                                    @if($type!="pages")
                                      <textarea name="text" id="editor" class="form-control tinymce">{{@$page->text}}</textarea>
                                    @else
                                      @include('admin.layouts.page-editor', ['content' => @$page->text ])
                                    @endif
                                </div>
                                <div class="height10px"></div>
                                  <div class="text-center">
                                    <input type="submit" class="btn save_content btn_active" value="{{ _l('Save') }}"/>
                                 </div>
                                <div class="height30px"></div>
                            </div>
                        </div>
                    </div>

                    @if($type!="pages")
                    <div class="col-md-3">

                              <div class="card padding_10px">
                                <h3 class="margin_top_0px">{{ _l('Publish') }}</h3>
                                <button type="submit" class="btn"> {{ _l('Save') }} </button>
                             </div>

                     @if(in_array('cat',$postTypes))
                      @include('admin.layouts.selectCategory', ['type'=>'posts', 'categoriesIn'=>$categoriesIn] )  
                     @endif
                    
                     @if(in_array('image',$postTypes))
                          <div class="card padding_10px">
                             <h3 class="margin_top_0px">{{ _l('Image') }}</h3>
                             <input type="file" name="imgmain" id="load_imge_main" onchange="upload_files('{{url('/admin/upload-image/main')}}', '#load_imge_main',  '.show_result_main', '.response_main', '{{@$id}}'  );" class="load_imge_main" />
                             <div class="clear_20px response_main"></div>
                             <div class="show_result_main">
                                    {!! @\Wh::adminMainImage( $jsondata['image'] ) !!}
                              <div class="clear"></div>
                             </div>
                          </div>
                      @endif

                    </div>
                   @endif

      </form>

@stop
