@extends('admin.layouts.default')

@section('title', $product->hide != 10 ? _l("Edit:")._lang($product->title) :_l("Add new Product") )
@section('content')

@if(!empty($fieldsVariations))

     @include('admin.layouts.autocomplete')

    <div id="new_element_is"  style="visibility: hidden; height: 5px; overflow: hidden;">
       @include('admin.layouts.variationFields', ['variation' => [] ])
    </div>

 @endif

 <?php
  $lang = @\Wh::adminLanguageinput();
  $mainLang=LANGMAIN;
 ?>
    {!! \Wh::sucessSavedMsg() !!}

 <form class="formSave" action="{{URL::to('/')}}/admin/product-save" method="POST" >
    <input type="hidden" name="_token" value="{{ csrf_token() }}">
    <input type="hidden"  id="parent_id" name="id" value="{{$product->id}}">
    <input type="hidden" name="lang" value="{{$lang}}">
   <div class="col-md-9 productSingle">
            <div class="card">
                <div class="header">
                   @if($product->hide != 10)
                     {!! \Wh::adminLanguage() !!}
                     @include('admin.layouts.jsEditChanges')
                   @endif

                     <h4 class="title">
                     @if($product->hide != 10)
                        <a href="{{ productUrl($product->cpu, $product->cat) }}" target="_blank" style="text-decoration: underline;">
                        {{_l("Edit:")._lang($product->title)}}
                       </a>
                     @else
                       {{_l("Add new Product")}}
                     @endif

                   </h4>

                </div>

                <div class="content">


                     <div  class="col-md-6">
                           <p>
                             <label> {{ _l('Title') }} </label> <br/>
                             <input type="text" class="form-control" name="title" value="{{$product->title}}">
                          </p>
                      </div>
                     <div  class="col-md-6">
                        <p>
                            <label>{{ _l('CPU') }}  </label> <br/>
                            <input type="text" class="form-control" name="cpu" value="{{$product->cpu}}">
                        </p>
                     </div>

                         <div class="col-md-6">
                             <p>
                                <label>{{ _l('Meta description') }} </label> <br/>
                                <input type="text" class="form-control" name="metad" value="{{$product->meta['metad']??''}}">

                             </p>
                        </div>
                         <div  class="col-md-6">
                            <p> <label>{{ _l('Meta keyword') }} </label> <br/>
                               <input type="text" class="form-control" name="metak" value="{{$product->meta['metak']??''}}">
                            </p>
                         </div>


                   <div class="clear"></div>
                   <div class="col-md-2">
                          <p>
                            <label>{{ _l('Stock') }}</label> <br/>
                             <select name="stock">
                               <option  value="1" {{@$optionsdata['stock'] === 1 ? 'selected=""':'' }}>{{ _l('In stock') }}</option>
                               <option value="0" {{@$optionsdata['stock'] === 0 ? 'selected=""':'' }}>{{ _l('Out of stock') }}</option>
                             </select>
                          </p>
                      </div>


                       <div class="col-md-2">
                          <p>
                            <label>{{ _l('Price') }} </label> <br/>
                            <input type="text" class="form-control" name="price" value="{{@number_format($product->price, 2, '.', '')}}">
                          </p>
                      </div>
                       <div class="col-md-2">
                        <p>
                            <label>{{ _l('Sale price') }} </label> <br/>
                            <input type="text" class="form-control" name="sale_price" value="{{@number_format($product->sale_price, 2, '.', '')}}">
                        </p>
                     </div>

                      <div class="col-md-2">
                        <p>
                            <label>{{ _l('SKU') }} </label> <br/>
                            <input type="text" class="form-control" name="SKU" value="{{$product->SKU}}">
                        </p>
                     </div>
                     <div class="col-md-2">
                        <p>
                            <label>{{ _l('Quantity') }} </label> <br/>
                            <input type="text" class="form-control" name="qtu" value="{{$product->qtu}}">
                        </p>
                     </div>
                     <div class="col-md-2">
                          <p>
                            <label>{{ _l('Weight') }}(KG) </label> <br/>
                            <input type="text" class="form-control" name="weight" value="{{@number_format($product->weight, 2, '.', '')}}">
                          </p>
                     </div>


                   <div class="clear"></div>
                 <div class="block_attributes">
                    <a class="title_attributes" href="{{url('/admin/fields-list/variations')}}" target="_blank">Add / Edit Variation <i class="icon_result fa fa-plus"></i> </a>

                     <div class="clear"> </div>

                     <div id="variation_control">
                         @if(!empty($variations) && !empty($fieldsVariations))
                            @foreach($variations as $keyV => $variation)
                                 @include('admin.layouts.variationFields',compact('variation', 'keyV','fieldsVariations'))
                                 <div class="clear"></div>
                             @endforeach
                          @endif
                    </div>
                       @if(!empty($fieldsVariations))
                          <div class="text_align_center">
                            <a href="#" onclick="return newVariation(); " title="{{ _l('Add new Variation') }}" style="font-size:22px"><span class="fa fa-plus-circle"></span> {{_l("Add variation")}} </a>
                          </div>
                       @endif
                      <div class="clear"> </div>
                  </div>


                         <div class="background_variation">
                             <div  class="col-md-5">
                                <p>
                                    <label>{{ _l('File Title') }}:</label> <br/>
                                    <input type="text" class="form-control" id="downloadable_title" name="upload_title">
                                     <small><i>If product is virtual and Downloadable</i></small>
                                </p>
                             </div>

                             <div  class="col-md-4">
                                <p>
                                    <label>{{ _l('Select file') }}:</label> <br/>
                                    <input type="file" class="form-control" id="downloadable" name="upload_file">
                                    <small><i>{{ _l('Customer will get access after order') }}</i></small>
                                </p>
                             </div>

                              <div  class="col-md-3">
                                  <p><label><br/></label> <br/>
                                    <input  type="button" class="btn btn_small" value="Upload" onclick="upload_files('{{URL::to('/')}}/admin/product/upload-file', '#downloadable',  '.listOfFiles', '.load_iacon', '{{$product->id}}', '#downloadable_title');"/>
                                     <span style="float: right;" class="load_iacon"></span>
                                  </p>
                              </div>

                                <div class="clear"></div>
                              <div class="listOfFiles">
                                 {!! \Wh::getUploadsByIdPost($product->id) !!}
                              </div>

                              <div class="clear"></div>
                        </div>
                      <div class="height10px"></div>
                      <div class="block_attributes">
                    <a class="title_attributes" href="{{url('/admin/fields-list/specifications')}}" target="_blank">Add / Edit Specification <i class="icon_result fa fa-plus"></i></a></h4>

                    @if(!empty($fieldsSpecifications))
                     @foreach($fieldsSpecifications as $key=>$row)
                           @if($row->type_box=='textarea')
                              <div class="col-xs-12">
                                <label> {{$row->title}} </label> <br />

                                <div class="blockMultilang">
                                   <div class="blockMultilang">
                                    @foreach(_LANG_VIEW_ARRAY_ as $k=>$lang)
                                      <span class="inputLang"> {{$lang}}</span>
                                      <textarea class="form-control" name="specification[{{$row->id}}][{{$lang}}]">{{_lang($specifications[$row->id]->value ??'',$lang)}}</textarea>
                                    @endforeach
                                </div>
                                 </div>
                                <div class="height10px"></div>
                              </div>
                             @elseif($row->type_box=='select')
                                 <div class="col-xs-6">
                                    <label>
                                         {{$row->title}}
                                        <a href="#" data-toggle="modal" data-target="#load_ajax_modal" onclick="access_url('{{url('/admin/suggestions-list/'.$row->id.'/'.$row->type)}}','.modal_load_content');">
                                          <i class="fa fa-plus-circle"></i>
                                        </a>
                                    </label> <br />
                                    <select class="form-control" name="specification[{{$row->id}}]">
                                    <option value="">{{ _l('Select') }}</option>
                                      @foreach ($row->suggestions()->get()??[] as $sugestion)
                                        <option value="{{$sugestion->id}}" {{ $sugestion->id == ($specifications[$row->id]->value??'') ? "selected":"" }}>
                                            {{$sugestion->title}}
                                        </option>
                                      @endforeach
                                    </select>
                                 </div>
                            @elseif($row->type_box=='checkbox')
                             <div class="clear"></div>
                                 <label>{{$row->title}}
                                  <a href="#" data-toggle="modal" data-target="#load_ajax_modal" onclick="access_url('{{url('/admin/suggestions-list/'.$row->id.'/'.$row->type)}}','.modal_load_content');">
                                    <i class="fa fa-plus-circle"></i>
                                  </a>
                                </label> <br />
                                @foreach ($row->suggestions()->get()??[] as $sugestion)
                                 <div class="col-md-2">
                                     <label>
                                      <input type="checkbox" name="specification[{{$row->id}}][{{$sugestion->id}}]" value="{{$sugestion->id}}"
                                               {{!is_null($product->metaGetByParamAndValue($row->id, $sugestion->id)) ? 'checked=""':''}} />
                                          {{$sugestion->title}}
                                    </label>
                                 </div>
                                @endforeach
                              <div class="height10px"></div>

                             @else
                             <div class="col-xs-6">
                                <label>{{$row->title}}</label> <br/>
                                <div class="blockMultilang">
                                    @foreach(_LANG_VIEW_ARRAY_ as $k=>$lang)
                                      <span class="inputLang"> {{$lang}}</span>
                                      <input type="text" class="form-control" name="specification[{{$row->id}}][{{$lang}}]" value="{{_lang($specifications[$row->id]->value ??'',$lang)}}"/>
                                    @endforeach
                                </div>
                             </div>
                             @endif
                       @endforeach
                     @endif
                    <div class="clear"></div>
                    </div>
                     <div class="height10px"></div>
                    <div class="col-md-12">
                    <label> {{ _l('Small Description') }}</label>
                        <textarea name="description" id="editor" class="form-control tinymce">{{_lang($product->description??'')}}</textarea>
                    </div>
                    <div class="height20px"></div>
                      <div class="col-md-12">
                        <label> {{ _l('Full Description') }}  </label>
                        <textarea name="text" id="editor" class="form-control tinymce">{{_lang($product->text??'')}}</textarea>
                      </div>
                    <div class="height10px"></div>

                     <div  class="col-md-6">
                        <p>
                            <label>{{ _l('External URL') }} </label> <br/>
                            <input type="text" class="form-control" name="cpu_store" value="{{$meta->store->value??''}}">
                        </p>
                     </div>

                   <div class="height10px"></div>
                 </div>
            </div>
 </div>
  <div class="col-md-3">

       <div class="card padding_10px">
           <h3 class="margin_top_0px">{{ _l('Publish') }}</h3>
           <button type="submit" class="btn"> Save </button>
       </div>

       @include('admin.layouts.selectCategory', ['type'=>'product', 'categoriesIn'=>$categoriesIn] )

       <div class="card padding_10px">
         <h3 class="margin_top_0px">{{ _l('Main Images') }}</h3>
         <input type="file" name="imgmain" id="load_imge_main" onchange="upload_files('{{URL::to('/admin/upload-image/main')}}', '#load_imge_main',  '.show_result_main', '.response_main', '{{$product->id}}'  );" class="load_imge_main" />
         <div class="clear_20px response_main"></div>
         <div class="show_result_main">
                {!! @\Wh::adminMainImage($product->image) !!}
          <div class="clear"></div>
         </div>
      </div>

      <div class="card padding_10px">
         <h3 class="margin_top_0px">{{ _l('Gallery') }}</h3>
         <input type="file" name="gallery" id="load_imge_gallery" multiple="" onchange="upload_files('{{URL::to('/admin/upload-image/gallery')}}', '#load_imge_gallery',  '.show_result_gallery', '.response_gallery', '{{$product->id}}'  );" class="load_imge_galery" />
         <div class="clear_20px response_gallery"></div>
         <div class="show_result_gallery"  >
            {!! \Wh::getAdminGallery($product->galleries()->get()??[]) !!}
         </div>
      </div>


  </div>
 </form>
    <script type="text/javascript">scrollToFirstCheckedElemnt();</script>
 <!--<script src="{{URL::to('/')}}/resources/admin_assets/js/variation-product.js"></script>-->

@stop
