@extends('admin.layouts.default')

@section('title',  _l('Social Media Login') )
@section('content')
 
<div class="col-md-12">
 <div class="card">
        <div class="header">
           <h4 class="title">{{ !empty($param)? $param : _l('Social Media Login')}}</h4>
        </div>
     <div class="content table-responsive table-full-width">
      @if(isset($rows))
      
         <table class="table table-hover table-striped">
             <thead>
                 <th>{{ _l('Name') }}</th>
                 <th style="width: 100px"> </th>
                 <th style="width: 100px"> </th>
             </thead>
             <tbody>
                @foreach ($rows as $key => $val)
                    <tr> 
                       <td>
                          {{ _l('Login by '). ucfirst($key)}} 
                       </td>  
                        <td>
                           <a href="{{URL::to('/')}}/admin/social-media-login/activate/{{$key}}/{{$val['enable']=='not' ? 'yes':'not'}}"  title="Unpublish" class="{{ $val['enable'] == 'yes' ? 'fa_publish':'fa_unpublish'}}"></a>
                       </td>
                       <td> 
                          <a href="{{URL::to('/')}}/admin/social-media-login/settings/{{$key}}" > <i class="fa fa-sliders"></i> {{ _l('Settings') }} </a>
                       </td>
                    </tr>
                @endforeach
             </tbody>
         </table>
       @endif
        
      @if(!empty($view)) 
       
       <form action="{{URL::to('/')}}/admin/social-media-login/store" method="post" enctype="multipart/form-data">
          <input type="hidden" name="_token" value="{{ csrf_token() }}">
          <input type="hidden" name="param" value="{{ $param }}">
          <input type="hidden" name="image" value="{{ $data->image }}">
            <table class="table_admin_settings">
             <tbody>
              <tr>
                <th>{{ _l('Enable') }}</th>
                <td>
                 <label class="switch"> 
                    <input name="enable" value="yes" class="checkbox" type="checkbox"  {{$data->enable =='yes'? 'checked=""':'' }}  />  
                    <span class="slider round"></span>
                  </label>
                
                  
               </td> 
             </tr>
             </tbody>
             </table>
                      
         <table class="table_admin_settings">
           <tbody>
            <tr>
                <th>Title</th>
                <td>
                  <input class="form-control" name="title" value="{{ucfirst($param)}}" type="text" readonly=""/>  
               </td> 
             </tr>  
             </tr>                                               
                <tr>
                    <th>{{ucfirst($param)}} Client ID</th>
                    <td>
                      <input class="form-control" name="keyp" value="{{$data->keyp}}" type="text">  
                    </td> 
                 </tr> 
                 
                  <tr>
                    <th>{{ucfirst($param)}} Client Secret</th>
                    <td>
                      <input class="form-control" name="keys" value="{{!empty($data->keys) ? '****' :''}}" type="text"> 
                    </td> 
                 </tr>
           </tbody>
         </table>
         
         
         <div class="col-md-1"><br />
           <button type="submit" class="btn btn_small"> {{ _l("Update")}} </button>  
        </div>
         
     <div class="clear"></div>
    </form> 
      
      @endif
   </div>
    
 </div>
</div>
@stop