@extends('admin.layouts.default')
@section('title', $type)
@section('content')
<div class="col-md-12">
 <div class="card">
  <div class="col-md-6">
     <h3> {{$type}}</h3>
  </div>
 
<div class="col-md-12"> 
<form action="{{URL::to('/')}}/admin/fields/add" method="post">
 <input type="hidden" name="_token" value="{{ csrf_token() }}"/>
 <input type="hidden" name="type" value="{{$type}}"/>
 <input type="hidden" name="related_id" value="{{$relatedId}}"/>

<table class="table table-hover table-striped">
<thead>
 <tr>
    <th> {{_l('Title')}} </th>
    <th> {{_l('Box Type')}} </th>
    <th> </th>
 </tr>
</thead>
<tbody>
 <tr>
    <td {!! !empty($fields)  && !in_array("title", $fields)  ? "style='display:none;'" : "" !!}>
      <label class="blockMultilang" >
         @foreach(\Wh::langArray() as $langVal)
           <span class="inputLang"> {{$langVal}} </span>  
           <input type="text" class="form-control" name="title[{{$langVal}}]" value=""  />
         @endforeach
      </label>
    </td>
    <td>
       <select class="form-control" name="type_box">
            @foreach((config('app.suggestions') ?? []) as $suggestion)
               <option value="{{$suggestion}}" >{{_l(ucfirst($suggestion))}}</option>
            @endforeach
       </select>
     </td> 
     <td>
       <input type="submit" class="btn btn_small" value=" {{ _l('Add') }}"/>
     </td>
   </tr>

</tbody>
</table>
</form>
 </div>  
   <form action="{{URL::to('/')}}/admin/fields/store" method="post">
       <input type="hidden" name="_token" value="{{ csrf_token() }}"/>
       <input type="hidden" name="type" value="{{$type}}"/>
       <input type="hidden" name="relatedId" value="{{$relatedId}}"/>
       
        
     <div class="height10px"></div>
       <div class="content table-responsive table-full-width">
          <table class="table table-hover table-striped table-sorted" >
                <thead>
                 <tr>
                    <th style="width: 15px;"></th>
                    <th> {{_l('Title')}} </th>
                    <th> {{_l('Box Type')}} </th>
                    <th class="text-center" class="text-center" style='width: 250px;'> {{_l('Short code')}} </th>
                    <th "style='width: 130px;'" class="text-center"> {{_l('Suggestion')}} </th>
                    <th style="width: 20px;"> </th>
                 </tr>
              </thead>
              <tbody>
                @foreach($rows as $row)
                  <tr>
                    <td>
                        <a href="#" class="fa_move move_bdn"></a>
                        <input type="hidden" name="idField[{{$row->id}}]" value="{{$row->id}}"/>
                        <input type="hidden" name="type[{{$row->id}}]" value="{{$row->type}}"/>
                        <input type="hidden" name="related_id[{{$row->id}}]" value="{{$row->related_id}}"/>
                        <input type="hidden" name="position[{{$row->id}}]" value="{{$row->position}}"/>
                    </td>
                    <td {!! !empty($fields)  && !in_array("title", $fields)  ? "style='display:none;'" : "" !!}>
                      <label class="blockMultilang">
                         @foreach(\Wh::langArray() as $langVal)
                           <span class="inputLang"> {{$langVal}} </span>  
                           <input type="text" class="form-control" name="title[{{$row->id}}][{{$langVal}}]" value="{{\_lang($row->title, $langVal)}}"  />
                         @endforeach
                      </label>
                    </td>
                      
                     <td>
                       <select class="form-control" name="type_box[{{$row->id}}]">
                         @foreach((config('app.suggestions') ?? []) as $suggestion)
                           <option value="{{$suggestion}}" {{$row->type_box==$suggestion? 'selected=""' : ''}}>{{_l(ucfirst($suggestion))}}</option>
                         @endforeach 
                       </select>
                     </td>
                     <td class="text-center">
                      <input type="text" class="form-control text-center" value="[search_filter id={{$row->id}} title={{_lang($row->title)}}]"/>
                     </td>
                     <td class="text-center">
                        <a href="#" data-toggle="modal" data-target="#load_ajax_modal" onclick="access_url('{{url('/admin/suggestions-list/'.$row->id.'/'.$row->type)}}','.modal_load_content');">
                          <i class="fa fa-plus-circle"></i> {{_l('Edit')}} 
                        </a>
                      </td>
                      <td class="text-center">
                        <a href="{{url('/admin/fields/remove/'.$row->id)}}" onclick="return confirm('Are you  sure?') ? true : false;" class="fa_delete fa_small delete_ittem"></a> 
                     </td>
                   </tr>
                 @endforeach
             </tbody>
         </table>
       </div>
        <div class="col-md-12 text-center">
          <input type="submit" class="btn btn_small" value=" {{ _l('Update') }}"/>
        </div>
        <div class="height15px"></div>
     </form>
  
   </div>

  </div>
    
@stop