@extends('admin.layouts.default')

@section('title', 'Order NR.'.$vorder->id)
@section('content')

 <div class="col-md-12">
    <div class="card">


        <div class="header">
            <h4 class="title">{{ _l('Order number') }}: {{ $vorder->id }}</h4>
        </div>
        <div class="content table-responsive table-full-width">


<div class="col-md-12">
<table class="table">

    <tr class="rem1">
       <th>{{ _l('Order Status') }}:</th>
       <td>
          <select class="form-control"  onchange="if (this.value) window.location.href=this.value">
            <?php
              $status = _STATUS_LIST??[];
              ?>
              @if(!empty($status) && is_array($status))
                @foreach($status as $k=>$v)
                   <option value="{{URL::to('/admin/orders/change-status/'.$vorder->id.'/'.$k)}}" {{$vorder->status == $k ? ' selected=""':''}}>{{$vorder->status == $k ? $k : $v }}</option>
                @endforeach
              @endif
          </select>
       </td>
   </tr>
   <tr class="rem5">
       <th>Status from payment system:</th>
       <td>{{ $vorder->payment_status ?? '' }} </td>
   </tr>

    <tr class="rem2">
       <th>{{_l("Date")}}:</th>
       <td>{{ date("d/m/Y", strtotime($vorder->created_at)) }}</td>
   </tr>
     
      @foreach($cart as $v)
       <?php $product = $v->productInfo(); ?>
        <tr>
          <th>
             <a href="{{ url("/admin/product/".$v->product_id)}}">
              {{$product->title}}
             </a><b> x {{$v->qty}}</b>
             @if(!empty($v->options_id))
               <div class="optionss">
                <i>{{$product->optionTitle??''}}</i>
               </div>
             @endif
           </th>
            <td class="invert">{{ $v->price ?? '' }} {{ $vorder->currency ?? '' }}</td>
        </tr>
        @foreach(($product->uploads??[]) as $upload)
         <tr>
            <th style="padding-left: 15px;">{{$upload->file_title ?? '' }} </th>
            <td>
               <a href="{{ url("/upload-file")."/".$upload->id."/".$vorder->id }}">
                 <b><i class="fa fa-download"></i>{{_l("Download")}}  </b>
               </a>
                {{ !empty($v->downloaded) ? "(Downloaded ".$v->downloaded." time)":"" }}
             </td>
         </tr>
         @endforeach

      @endforeach

         

       {!! \Wh::hooks('singleorderAdmin', ['order'=>$vorder]) !!}

       @if(!empty($vorder->coupon_name))
        <tr class="cart-subtotal">
            <th>{{ _l('Coupon') }}:</th>
            <td>{{ $vorder->coupon_name ?? ''}}</td>
	</tr>
        <tr class="cart-subtotal">
	   <th>{{ _l('Discount') }}</th>
	   <td>- {{$vorder->coupon_total ?? 0}} {{ $vorder->currency ?? '' }}</td>
	 </tr>
      @endif

      @if(!empty($vorder->shipping_id))
         <tr class="rem4">
           <td>
              {{ _l('Shipping') }}:<br />
             <i>{{ \Wh::getShippingById(($vorder->shipping_id ?? ''),  'shipping_name') }}</i>
           </td>
           <td>{{ $vorder->shipping_cost ?? 0}} {{$vorder->currency ?? '' }}</td>
         </tr>
      @endif

    <tr class="rem4">
       <th>{{_l("Payment Method")}} :</th>
       <td> {{ $vorder->payment_type }}
       </td>
   </tr>
   <tr class="rem5">
       <th>{{_l("Total")}} ({{_l("no shipping include")}}):</th>
       <td>{{$vorder->products_cost ?? 0}} {{ $vorder->currency ?? '' }}</td>
   </tr>


     <tr class="rem3">
       <th>{{_l("Total paid")}}:</th>
       <td><b>{{$vorder->payd }} {{ $vorder->currency}}</b></td>
    </tr>
    <tr>
        <td><br /></td>
        <td></td>
    </tr>

    @if(!empty($vorder->user_id))

      <tr class="rem7">
          <th> <b>{{_l("User")}}  :</b> </th>
          <td>
          <a href="{{URL::to('/')}}/admin/users/single/{{$vorder->user_id}}">
             {{@\Wh::getUserInfoById($vorder->user_id, 'email')}}
          </a>
          | <a href="{{URL::to('/')}}/admin/view-user-orders/{{$vorder->user_id}}">{{_l("View all orders")}} </a>
         </td>
     </tr>
    @endif
    <tr>
        <td><br /></td>
        <td></td>
    </tr>
 </table>

</div>

 <div class="clear_40px"></div>


@if(!empty($billingFields))
 <div class="col-md-6">
   <h2><i>{{ _l('Billing Address') }}</i></h2>
    <table class="table">
      @foreach($billingFields as $title=>$value)
        <tr>
          <th>{{$title}}:</b></th>
         <td> {{$value}} </td>
       </tr>
     @endforeach
  </table>
 </div>
@endif

 @if(!empty($shippingFields))
 <div class="col-md-6">
   <h2><i>{{ _l('Shipping Method') }}</i></h2>
    <table class="table">
       @foreach($shippingFields as $title=>$value)
         <tr>
          <th>{{$title}}:</b></th>
         <td> {{$value}} </td>
        </tr>
       @endforeach
    </table>
 </div>
@endif

            <div class="clear"></div>

         </div>
       </div>
    </div>

 @stop
