@foreach($fields as $field)
<?php
// Determine if the field is required
$require = $field->required == "yes" ? " require" : "";
$isReq = ($field->required == "yes" && !isset($isShipping)) ? 'required=""' : '';
// Determine if a star should be displayed
$star = ($field->required == "yes" && $field->show_title == "yes") ? '*' : '';
?>
{!! $field->one_per_line == 'yes' ? '<div class="clearfix"></div>' : '' !!}

<div class="blockLength{{ $field->length }} singleField">
    @if((!\Auth::check() && $field->type_box=='password') || $field->type_box!='password') 
       {{ $field->show_title == "yes" ? $field->title : "" }}{{ $star }}
    @endif
     
    @switch($field->type_box)
        @case('text')
        @case('email')
        @case('number')
        @case('checkbox')
        @case('name')
            <input type="{{ $field->type_box=='name' ? 'text' : $field->type_box}}" name="{{$field->type}}[{{ $field->id }}]" {{ $isReq }} 
                   class="cl_inp{{ $field->id . $require }}" value="" placeholder="{{ $field->title }}"/>
            @break
        @case('password') 
            @if(!\Auth::check())
              <input type="password" name="{{$field->type}}[{{ $field->id }}]" {{ $isReq }} 
                   class="cl_inp{{ $field->id . $require }}" value="" placeholder="{{ $field->title }}"/>
            @endif 
            @break
        @case('textarea')
            <textarea name="{{$field->type}}[{{ $field->id }}]" placeholder="{{ $field->title }}" {{ $isReq }} class="cl_inp{{ $field->id . $require }}"></textarea>
            @break

        @case('select')
            <select name="{{$field->type}}[{{ $field->id }}]" class="cl_inp{{ $field->id . $require }}" {{ $isReq }}>
                <option value="">Select {{ $field->title }}</option>
                @foreach($field->suggestions as $suggestion)
                    <option value="{{ $suggestion->title }}">{{ $suggestion->title }}</option>
                @endforeach
            </select>
            @break

        @case('countries')
            <select name="{{$field->type}}[{{ $field->id }}]" class="cl_inp{{ $field->id . $require }}"
                    onchange="wajax('.deliverylist', 'action=getShipping&id='+ this.value +'&kg={{ $cart->getWeight() }}&total={{ $cart->getTotal() }}');" {{ $isReq }}>
                <option value="">Select {{ $field->title }}</option>
                @foreach(\Wh::list_countries_db() as $country)
                    <option value="{{ $country->id }}">{{ $country->country }}</option>
                @endforeach
            </select>
            @break

        @default
        // Handle the default case here
    @endswitch
</div>

{!! $field->one_per_line == 'yes' ? '<div class="clearfix"></div>' : '' !!}

@endforeach