@if ($paginator->hasPages())
    <nav role="navigation" aria-label="{{ __('Pagination Navigation') }}" class="flex justify-between pagination">
        {{-- Previous Page Link --}}
        @if ($paginator->onFirstPage())
            <span class="disabled" aria-disabled="true" aria-label="{{ __('pagination.previous') }}">
                <span aria-hidden="true">&lsaquo;</span>
            </span>
        @else
            <a href="{{ $paginator->previousPageUrl() }}" rel="prev" class="relative inline-flex items-center px-2 py-2 text-sm font-medium text-gray-500 hover:text-gray-700 hover:bg-gray-100 focus:z-10 focus:outline-none focus:ring ring-gray-300 focus:ring-opacity-50 active:bg-gray-200 transition ease-in-out duration-150" aria-label="{{ __('pagination.previous') }}">
                <span aria-hidden="true">&lsaquo;</span>
            </a>
        @endif

        {{-- Next Page Link --}}
        @if ($paginator->hasMorePages())
            <a href="{{ $paginator->nextPageUrl() }}" rel="next" class="relative inline-flex items-center px-2 py-2 ml-3 text-sm font-medium text-gray-500 hover:text-gray-700 hover:bg-gray-100 focus:z-10 focus:outline-none focus:ring ring-gray-300 focus:ring-opacity-50 active:bg-gray-200 transition ease-in-out duration-150" aria-label="{{ __('pagination.next') }}">
                <span aria-hidden="true">&rsaquo;</span>
            </a>
        @else
            <span class="disabled" aria-disabled="true" aria-label="{{ __('pagination.next') }}">
                <span aria-hidden="true">&rsaquo;</span>
            </span>
        @endif
    </nav>
@endif
